GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

***** Clean first *****.
compute pfyear= RND((pfbirth/100-TRUNC(pfbirth/100))*100).
compute pfmonth=trunc(pfbirth/100)-trunc(pfbirth/10000)*100.
compute pfday=TRUNC(pfbirth/10000).
formats pfyear pfmonth pfday  (f2.0).

Recode pfyear PBYEAR   (80 thru 97=copy) (else=sysmis).
Recode pfmonth PBMONTH  (1 thru 12=copy) (else=sysmis).
Recode pfday PBDAY (1 thru 31=copy) (else=sysmis).

if  pbyear ~=pfyear or missing(pbyear)  pbyear=pfyear.
if missing(pfyear) pfyear=pbyear.
if  pbmonth ~=pfmonth or missing(pbmonth )  pbmonth =pfmonth .
if missing(pfmonth ) pfmonth =pbmonth .
if  pbday ~=pfday or missing(pbday )  pbday =pfday .
if missing(pfday ) pfday =pbday .

***** Aggregating at class level *****.

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGCLS.SAV'
  /BREAK=country region district idschool idclass 
  /meancls= MEAN(pbyear) /miscls= NMISS(pbyear)
  /numcls=N (idpupil).

***** Aggregating at school level *****.

sort cases by country (a) region (a) district (a) idschool (a)  .

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGSCH.SAV'
  /BREAK=country region district idschool 
  /meansch= MEAN(pbyear) /missch= NMISS(pbyear)
  /numsch=N (idpupil).

***** Aggregating at district level *****.

sort cases by country (a) region (a) district (a) .

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGDIS.SAV'
  /BREAK=country region district 
  /meandis= MEAN(pbyear) /misdis= NMISS(pbyear)
  /numdis=N (idpupil).

***** Aggregating at region level *****.

sort cases by country (a) region (a) .

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGREG.SAV'
  /BREAK=country region 
  /meanreg= MEAN(pbyear) /misreg= NMISS(pbyear)
  /numreg=N (idpupil).

***** Aggregating at country level *****.

sort cases by country (a).

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGCON.SAV'
  /BREAK=country 
  /meancon= MEAN(pbyear) /miscon= NMISS(pbyear)
  /numcon=N (idpupil).

***** Merging back the calculation *****.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

***** Clean first *****.
compute pfyear= RND((pfbirth/100-TRUNC(pfbirth/100))*100).
compute pfmonth=trunc(pfbirth/100)-trunc(pfbirth/10000)*100.
compute pfday=TRUNC(pfbirth/10000).
formats pfyear pfmonth pfday  (f2.0).

Recode pfyear PBYEAR   (80 thru 97=copy) (else=sysmis).
Recode pfmonth PBMONTH  (1 thru 12=copy) (else=sysmis).
Recode pfday PBDAY (1 thru 31=copy) (else=sysmis).

if  pbyear ~=pfyear or missing(pbyear)  pbyear=pfyear.
if missing(pfyear) pfyear=pbyear.
if  pbmonth ~=pfmonth or missing(pbmonth )  pbmonth =pfmonth .
if missing(pfmonth ) pfmonth =pbmonth .
if  pbday ~=pfday or missing(pbday )  pbday =pfday .
if missing(pfday ) pfday =pbday .

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGCLS.sav'
 /BY country region district idschool idclass .
EXECUTE.

sort cases by country (a) region (a) district (a) idschool (a)  .

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGSCH.sav'
 /BY country region district idschool .
EXECUTE.

sort cases by country (a) region (a) district (a)   .

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGDIS.sav'
 /BY country region district .
EXECUTE.

sort cases by country (a) region (a)    .

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGREG.sav'
 /BY country region .
EXECUTE.

sort cases by    country (a).

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGCON.sav'
 /BY country .
EXECUTE.

save outfile='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\temp.sav'.

***** Calculating the missing percentage at each level *****.

compute misclspc=  miscls/ numcls.
compute misschpc= missch/ numsch.
compute misdispc= misdis/numdis.
compute misregpc= misreg/numreg.
compute misconpc= miscon/numcon.
EXECUTE .

if (missing(pbyear) and misclspc~= 0 and misclspc LT .15) pbyear=RND(meancls).
FREQUENCIES
  VARIABLES=pbyear 
  /ORDER  ANALYSIS .

if (missing(pbyear) and misclspc GE .15 and misschpc~= 0 and misschpc LT .15)  pbyear=RND(meansch).
FREQUENCIES
  VARIABLES=pbyear 
  /ORDER  ANALYSIS .

if (missing(pbyear) and misclspc GE .15 and misschpc GE .15 and misdispc~= 0 and misdispc LT .15) pbyear=RND(meandis).
FREQUENCIES
  VARIABLES=pbyear 
  /ORDER  ANALYSIS .

if (missing(pbyear) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc~= 0 and misregpc LT .15) pbyear=RND(meanreg).
FREQUENCIES
  VARIABLES=pbyear 
  /ORDER  ANALYSIS .

if (missing(pbyear) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc GE .15 and misconpc~= 0 and misconpc LT .15) pbyear=RND(meancon).
FREQUENCIES
  VARIABLES=pbyear 
  /ORDER  ANALYSIS .

if (missing(pbyear) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc GE .15 and misconpc GE .15) pbyear=pbyear.
FREQUENCIES
  VARIABLES=pbyear 
  /ORDER  ANALYSIS .

if missing(pbmonth) pbmonth=6.
if missing(pbday) pbday=15.

compute pfyear=pbyear.
compute pfmonth=pbmonth.
compute pfday=pbday.

compute pfbirth=pfday*10000+pfmonth*100+pfyear.

save outfile='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\temp.sav'.

***** Calculating derived variable *****.

*** SACMEQ III PROJECT - MONTH OF DATA COLLECTION***.
	Month	Year		
*BOT	September	2007	OK	e-mail 22 July
*KEN	October	2007		
*LES	November	2007	OK	e-mail 29 July
*MAL	September	2007		
*MAU	September	2007	OK	e-mail 21 July
*MOZ	September	2007	OK	e-mail 21 July
*NAM	September	2007	OK	e-mail 21 July
*SEY	September	2007	OK	e-mail 22 July
*SOU	September	2007	OK	e-mail 27 July
*SWA	September	2007	OK	e-mail 23 July
*TAN	November	2007	OK	e-mail 29 July
*UGA	September	2007	OK	e-mail 23 July
*ZAM	September	2007	OK	e-mail 30 July
*ZAN	September	2007	OK	e-mail 29 July
*ZIM	November	2007	OK	e-mail 27 July

DO IF country='BOT'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='KEN'.
  compute testyr=107.
  compute testmon=10.
END IF.
DO IF country='LES'.
  compute testyr=107.
  compute testmon=11.
END IF.
DO IF country='MAL'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='MAU'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='MOZ'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='NAM'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='SEY'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='SOU'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='SWA'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='TAN'.
  compute testyr=107.
  compute testmon=11.
END IF.
DO IF country='UGA'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='ZAM'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='ZAN'.
  compute testyr=107.
  compute testmon=9.
END IF.
DO IF country='ZIM'.
  compute testyr=107.
  compute testmon=11.
END IF.

compute zpagemon=(testyr*12+testmon)-(pbyear*12+pbmonth).

FREQUENCIES
  VARIABLES=zpagemon  pfbirth
  /FORMAT=NOTABLE
  /ORDER  ANALYSIS .

***** Saving imputed and derived variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\PQ01_zpagemon.sav' /keep country stratum idpupil pbday pbmonth pbyear pfbirth zpagemon.

***** Mean Age in Month by Strata *****.

SORT CASES BY country .
SPLIT FILE
  LAYERED BY country .

MEANS
  TABLES=zpagemon  BY stratum
  /CELLS MEAN COUNT STDDEV  .


