GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

***** Aggregating at class level *****.

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGCLS.SAV'
  /BREAK=country region district idschool idclass 
  /meancls= MEAN(PBOOKSHM) /miscls= NMISS(PBOOKSHM)
  /numcls=N (idpupil).

***** Aggregating at school level *****.

sort cases by country (a) region (a) district (a) idschool (a)  .

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGSCH.SAV'
  /BREAK=country region district idschool 
  /meansch= MEAN(PBOOKSHM) /missch= NMISS(PBOOKSHM)
  /numsch=N (idpupil).

***** Aggregating at district level *****.

sort cases by country (a) region (a) district (a) .

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGDIS.SAV'
  /BREAK=country region district 
  /meandis= MEAN(PBOOKSHM) /misdis= NMISS(PBOOKSHM)
  /numdis=N (idpupil).

***** Aggregating at region level *****.

sort cases by country (a) region (a) .

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGREG.SAV'
  /BREAK=country region 
  /meanreg= MEAN(PBOOKSHM) /misreg= NMISS(PBOOKSHM)
  /numreg=N (idpupil).

***** Aggregating at country level *****.

sort cases by country (a).

AGGREGATE
  /OUTFILE='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGCON.SAV'
  /BREAK=country 
  /meancon= MEAN(PBOOKSHM) /miscon= NMISS(PBOOKSHM)
  /numcon=N (idpupil).

***** Merging back the calculation *****.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGCLS.sav'
 /BY country region district idschool idclass .
EXECUTE.

sort cases by country (a) region (a) district (a) idschool (a)  .

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGSCH.sav'
 /BY country region district idschool .
EXECUTE.

sort cases by country (a) region (a) district (a)   .

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGDIS.sav'
 /BY country region district .
EXECUTE.

sort cases by country (a) region (a)    .

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGREG.sav'
 /BY country region .
EXECUTE.

sort cases by    country (a).

MATCH FILES /FILE=*
 /table='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\AGCON.sav'
 /BY country .
EXECUTE.

save outfile='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\temp.sav'.

***** Calculating the missing percentage at each level *****.

compute misclspc=  miscls/ numcls.
compute misschpc= missch/ numsch.
compute misdispc= misdis/numdis.
compute misregpc= misreg/numreg.
compute misconpc= miscon/numcon.
EXECUTE .

if (missing(PBOOKSHM) and misclspc~= 0 and misclspc LT .15) PBOOKSHM=RND(meancls).
FREQUENCIES
  VARIABLES=PBOOKSHM
  /ORDER  ANALYSIS .

if (missing(PBOOKSHM) and misclspc GE .15 and misschpc~= 0 and misschpc LT .15)  PBOOKSHM=RND(meansch).
FREQUENCIES
  VARIABLES=PBOOKSHM
  /ORDER  ANALYSIS .

if (missing(PBOOKSHM) and misclspc GE .15 and misschpc GE .15 and misdispc~= 0 and misdispc LT .15) PBOOKSHM=RND(meandis).
FREQUENCIES
  VARIABLES=PBOOKSHM
  /ORDER  ANALYSIS .

if (missing(PBOOKSHM) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc~= 0 and misregpc LT .15) PBOOKSHM=RND(meanreg).
FREQUENCIES
  VARIABLES=PBOOKSHM
  /ORDER  ANALYSIS .

if (missing(PBOOKSHM) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc GE .15 and misconpc~= 0 and misconpc LT .15) PBOOKSHM=RND(meancon).
FREQUENCIES
  VARIABLES=PBOOKSHM
  /ORDER  ANALYSIS .

if (missing(PBOOKSHM) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc GE .15 and misconpc GE .15) PBOOKSHM=PBOOKSHM.
FREQUENCIES
  VARIABLES=PBOOKSHM
  /ORDER  ANALYSIS .

save outfile='E:\H MIOKO\SACMEQ3\Main Data Quality\aaa Imputation\temp.sav'.

***** UGANDA SPECIAL IMPUTE *****.

DO IF country="UGA" and missing(PBOOKSHM) .
 recode PPOS01 to PPOS31 (1=1) (2=2) (missing=1).
compute ZPTOTP31  =ppos01 +ppos02+ ppos03+ ppos04+ ppos05+ ppos06+ ppos07+  ppos08+  ppos09+  ppos10
+ ppos11+ ppos12 +ppos13+ ppos14+ ppos15+ ppos16+ ppos17+ ppos18+ ppos19+ ppos20
+ ppos21+ ppos22+ ppos23+ ppos24+ ppos25+ ppos26+ ppos27+ ppos28+ ppos29+ ppos30+ ppos31-31.
 if  ZPTOTP31    =	0	PBOOKSHM=	0	.
 if  ZPTOTP31    =	1	PBOOKSHM=	10	.
 if  ZPTOTP31    =	2	PBOOKSHM=	10	.
 if  ZPTOTP31    =	3	PBOOKSHM=	10	.
 if  ZPTOTP31    =	4	PBOOKSHM=	10	.
 if  ZPTOTP31    =	5	PBOOKSHM=	10	.
 if  ZPTOTP31    =	6	PBOOKSHM=	10	.
 if  ZPTOTP31    =	7	PBOOKSHM=	10	.
 if  ZPTOTP31    =	8	PBOOKSHM=	10	.
 if  ZPTOTP31    =	9	PBOOKSHM=	10	.
 if  ZPTOTP31    =	10	PBOOKSHM=	10	.
 if  ZPTOTP31    =	11	PBOOKSHM=	15	.
 if  ZPTOTP31    =	12	PBOOKSHM=	15	.
 if  ZPTOTP31    =	13	PBOOKSHM=	15	.
 if  ZPTOTP31    =	14	PBOOKSHM=	15	.
 if  ZPTOTP31    =	15	PBOOKSHM=	15	.
 if  ZPTOTP31    =	16	PBOOKSHM=	15	.
 if  ZPTOTP31    =	17	PBOOKSHM=	15	.
 if  ZPTOTP31    =	18	PBOOKSHM=	15	.
 if  ZPTOTP31    =	19	PBOOKSHM=	15	.
 if  ZPTOTP31    =	20	PBOOKSHM=	15	.
 if  ZPTOTP31    =	21	PBOOKSHM=	15	.
 if  ZPTOTP31    =	22	PBOOKSHM=	15	.
 if  ZPTOTP31    =	23	PBOOKSHM=	15	.
 if  ZPTOTP31    =	24	PBOOKSHM=	15	.
 if  ZPTOTP31    =	25	PBOOKSHM=	15	.
 if  ZPTOTP31    =	26	PBOOKSHM=	15	.
 if  ZPTOTP31    =	27	PBOOKSHM=	15	.
 if  ZPTOTP31    =	28	PBOOKSHM=	15	.
 if  ZPTOTP31    =	29	PBOOKSHM=	15	.
 if  ZPTOTP31    =	30	PBOOKSHM=	15	.
 if  ZPTOTP31    =	31	PBOOKSHM=	15	.
END IF.

***** Saving imputed and derived variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ12.sav' /keep country stratum idpupil PBOOKSHM.

FREQUENCIES
  VARIABLES=PBOOKSHM
  /ORDER  ANALYSIS .

