****************************.
***** PQ17 Lighting *****.
****************************.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

***** Aggregating at class level *****.

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCLS.SAV'
  /BREAK=country region district idschool idclass 
  /miscls= NMISS(plight) 
  /numcls=N (idpupil)
  /opt_1cls = PIN(plight 1 1)
  /opt_2cls = PIN(plight 2 2)
  /opt_3cls = PIN(plight 3 3)
  /opt_4cls = PIN(plight 4 4)
  /opt_5cls = PIN(plight 5 5)
  /opt_6cls = PIN(plight 6 6)
.

***** Aggregating at school level *****.

sort cases by country (a) region (a) district (a) idschool (a)  .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGSCH.SAV'
  /BREAK=country region district idschool 
  /missch= NMISS(plight) 
  /numsch=N (idpupil)
  /opt_1sch = PIN(plight 1 1)
  /opt_2sch = PIN(plight 2 2)
  /opt_3sch = PIN(plight 3 3)
  /opt_4sch = PIN(plight 4 4)
  /opt_5sch = PIN(plight 5 5)
  /opt_6sch = PIN(plight 6 6)
.

***** Aggregating at district level *****.

sort cases by country (a) region (a) district (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGDIS.SAV'
  /BREAK=country region district 
  /misdis= NMISS(plight) 
  /numdis=N (idpupil)
  /opt_1dis = PIN(plight 1 1)
  /opt_2dis = PIN(plight 2 2)
  /opt_3dis = PIN(plight 3 3)
  /opt_4dis = PIN(plight 4 4)
  /opt_5dis = PIN(plight 5 5)
  /opt_6dis = PIN(plight 6 6)
.

***** Aggregating at region level *****.

sort cases by country (a) region (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGREG.SAV'
  /BREAK=country region 
  /misreg= NMISS(plight) 
  /numreg=N (idpupil)
  /opt_1reg = PIN(plight 1 1)
  /opt_2reg = PIN(plight 2 2)
  /opt_3reg = PIN(plight 3 3)
  /opt_4reg = PIN(plight 4 4)
  /opt_5reg = PIN(plight 5 5)
  /opt_6reg = PIN(plight 6 6)
.

***** Aggregating at country level *****.

sort cases by country (a).

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCON.SAV'
  /BREAK=country 
  /miscon= NMISS(plight)
  /numcon=N (idpupil)
  /opt_1con = PIN(plight 1 1)
  /opt_2con = PIN(plight 2 2)
  /opt_3con = PIN(plight 3 3)
  /opt_4con = PIN(plight 4 4)
  /opt_5con = PIN(plight 5 5)
  /opt_6con = PIN(plight 6 6)
.

***** Merging back the different aggregation *****.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

FREQUENCIES
  VARIABLES=plight
  /ORDER  ANALYSIS .

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCLS.sav'
 /BY country region district idschool idclass .
EXECUTE.

sort cases by country (a) region (a) district (a) idschool (a)  .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGSCH.sav'
 /BY country region district idschool .
EXECUTE.

sort cases by country (a) region (a) district (a)   .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGDIS.sav'
 /BY country region district .
EXECUTE.

sort cases by country (a) region (a)    .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGREG.sav'
 /BY country region .
EXECUTE.

sort cases by    country (a).

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCON.sav'
 /BY country .
EXECUTE.

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\temp.sav' .

***** Calculating the missing percentage at each level *****.

compute misclspc=  miscls/ numcls.
compute misschpc= missch/ numsch.
compute misdispc= misdis/numdis.
compute misregpc= misreg/numreg.
compute misconpc= miscon/numcon.
EXECUTE .

***** Finding the Mode at each level *****.

if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls, opt_6cls)=opt_6cls modecls=6.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls, opt_6cls)=opt_5cls modecls=5.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls, opt_6cls)=opt_4cls modecls=4.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls, opt_6cls)=opt_3cls modecls=3.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls, opt_6cls)=opt_2cls modecls=2.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls, opt_6cls)=opt_1cls modecls=1.

if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch, opt_6sch)=opt_6sch modesch=6.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch, opt_6sch)=opt_5sch modesch=5.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch, opt_6sch)=opt_4sch modesch=4.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch, opt_6sch)=opt_3sch modesch=3.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch, opt_6sch)=opt_2sch modesch=2.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch, opt_6sch)=opt_1sch modesch=1.

if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis, opt_6dis)=opt_6dis modedis=6.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis, opt_6dis)=opt_5dis modedis=5.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis, opt_6dis)=opt_4dis modedis=4.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis, opt_6dis)=opt_3dis modedis=3.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis, opt_6dis)=opt_2dis modedis=2.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis, opt_6dis)=opt_1dis modedis=1.

if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg, opt_6reg)=opt_6reg modereg=6.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg, opt_6reg)=opt_5reg modereg=5.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg, opt_6reg)=opt_4reg modereg=4.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg, opt_6reg)=opt_3reg modereg=3.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg, opt_6reg)=opt_2reg modereg=2.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg, opt_6reg)=opt_1reg modereg=1.

if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con, opt_6con)=opt_6con modecon=6.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con, opt_6con)=opt_5con modecon=5.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con, opt_6con)=opt_4con modecon=4.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con, opt_6con)=opt_3con modecon=3.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con, opt_6con)=opt_2con modecon=2.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con, opt_6con)=opt_1con modecon=1.

***** Imputation at class level *****.

if (missing(plight) and misclspc~= 0 and misclspc LT .15) plight =modecls.

FREQUENCIES
  VARIABLES=plight 
  /ORDER  ANALYSIS .

***** Imputation at school level *****.

if (missing(plight) and misclspc GE .15 and misschpc~= 0 and misschpc LT .15) plight=modesch.

FREQUENCIES
  VARIABLES=plight
  /ORDER  ANALYSIS .

***** Imputation at district level *****.

if (missing(plight) and misclspc GE .15 and misschpc GE .15 and misdispc~= 0 and misdispc LT .15) plight=modedis.

FREQUENCIES
  VARIABLES=plight
  /ORDER  ANALYSIS .

***** Imputation at region level *****.

if (missing(plight) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc~= 0 and misregpc LT .15) plight=modereg.

FREQUENCIES
  VARIABLES=plight
  /ORDER  ANALYSIS .

***** Imputation at country level *****.

if (missing(plight) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc GE .15 and misconpc~= 0 and misconpc LT .15) plight=modecon.

FREQUENCIES
  VARIABLES=plight
  /ORDER  ANALYSIS .

***** No imputation if more than 15% missing at country level *****.

if (missing(plight) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc GE .15 and misconpc GE .15) plight=plight.

FREQUENCIES
  VARIABLES=plight
  /ORDER  ANALYSIS .

*****************************.
***** Cleaning PQ14 *****.
*****************************.

recode PPOS01 to PPOS31 (1=1) (2=2) (missing=1).
if plight=5 ppos14=2.
compute ZPTOTP31  =ppos01 +ppos02+ ppos03+ ppos04+ ppos05+ ppos06+ ppos07+  ppos08+  ppos09+  ppos10
+ ppos11+ ppos12 +ppos13+ ppos14+ ppos15+ ppos16+ ppos17+ ppos18+ ppos19+ ppos20
+ ppos21+ ppos22+ ppos23+ ppos24+ ppos25+ ppos26+ ppos27+ ppos28+ ppos29+ ppos30+ ppos31-31.
EXECUTE. 

***** saving variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ14_17.sav' /keep country stratum idpupil PPOS01 to PPOS31 ZPTOTP31  plight .

FREQUENCIES
  VARIABLES=ZPTOTP31  
  /ORDER  ANALYSIS .
