
************************.
***** PQ20 Roof *****.
************************.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

***** Aggregating at class level *****.

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCLS.SAV'
  /BREAK=country region district idschool idclass 
  /miscls= NMISS(proof) 
  /numcls=N (idpupil)
  /opt_1cls = PIN(proof 1 1)
  /opt_2cls = PIN(proof 2 2)
  /opt_3cls = PIN(proof 3 3)
  /opt_4cls = PIN(proof 4 4)
  /opt_5cls = PIN(proof 5 5)
.

***** Aggregating at school level *****.

sort cases by country (a) region (a) district (a) idschool (a)  .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGSCH.SAV'
  /BREAK=country region district idschool 
  /missch= NMISS(proof) 
  /numsch=N (idpupil)
  /opt_1sch = PIN(proof 1 1)
  /opt_2sch = PIN(proof 2 2)
  /opt_3sch = PIN(proof 3 3)
  /opt_4sch = PIN(proof 4 4)
  /opt_5sch = PIN(proof 5 5)
.

***** Aggregating at district level *****.

sort cases by country (a) region (a) district (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGDIS.SAV'
  /BREAK=country region district 
  /misdis= NMISS(proof) 
  /numdis=N (idpupil)
  /opt_1dis = PIN(proof 1 1)
  /opt_2dis = PIN(proof 2 2)
  /opt_3dis = PIN(proof 3 3)
  /opt_4dis = PIN(proof 4 4)
  /opt_5dis = PIN(proof 5 5)
.

***** Aggregating at region level *****.

sort cases by country (a) region (a) .

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGREG.SAV'
  /BREAK=country region 
  /misreg= NMISS(proof) 
  /numreg=N (idpupil)
  /opt_1reg = PIN(proof 1 1)
  /opt_2reg = PIN(proof 2 2)
  /opt_3reg = PIN(proof 3 3)
  /opt_4reg = PIN(proof 4 4)
  /opt_5reg = PIN(proof 5 5)
.

***** Aggregating at country level *****.

sort cases by country (a).

AGGREGATE
  /OUTFILE='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCON.SAV'
  /BREAK=country 
  /miscon= NMISS(proof)
  /numcon=N (idpupil)
  /opt_1con = PIN(proof 1 1)
  /opt_2con = PIN(proof 2 2)
  /opt_3con = PIN(proof 3 3)
  /opt_4con = PIN(proof 4 4)
  /opt_5con = PIN(proof 5 5)
.

***** Merging back the different aggregation *****.

GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

FREQUENCIES
  VARIABLES=proof
  /ORDER  ANALYSIS .

sort cases by country (a) region (a) district (a) idschool (a)  idclass (a) .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCLS.sav'
 /BY country region district idschool idclass .
EXECUTE.

sort cases by country (a) region (a) district (a) idschool (a)  .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGSCH.sav'
 /BY country region district idschool .
EXECUTE.

sort cases by country (a) region (a) district (a)   .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGDIS.sav'
 /BY country region district .
EXECUTE.

sort cases by country (a) region (a)    .

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGREG.sav'
 /BY country region .
EXECUTE.

sort cases by    country (a).

MATCH FILES /FILE=*
 /table='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\AGCON.sav'
 /BY country .
EXECUTE.

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\temp.sav' .

***** Calculating the missing percentage at each level *****.

compute misclspc=  miscls/ numcls.
compute misschpc= missch/ numsch.
compute misdispc= misdis/numdis.
compute misregpc= misreg/numreg.
compute misconpc= miscon/numcon.
EXECUTE .

***** Finding the Mode at each level *****.

if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls)=opt_5cls modecls=5.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls)=opt_4cls modecls=4.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls)=opt_3cls modecls=3.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls)=opt_2cls modecls=2.
if max(opt_1cls, opt_2cls, opt_3cls, opt_4cls, opt_5cls)=opt_1cls modecls=1.

if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch)=opt_5sch modesch=5.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch)=opt_4sch modesch=4.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch)=opt_3sch modesch=3.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch)=opt_2sch modesch=2.
if max(opt_1sch, opt_2sch, opt_3sch, opt_4sch, opt_5sch)=opt_1sch modesch=1.

if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis)=opt_5dis modedis=5.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis)=opt_4dis modedis=4.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis)=opt_3dis modedis=3.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis)=opt_2dis modedis=2.
if max(opt_1dis, opt_2dis, opt_3dis, opt_4dis, opt_5dis)=opt_1dis modedis=1.

if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg)=opt_5reg modereg=5.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg)=opt_4reg modereg=4.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg)=opt_3reg modereg=3.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg)=opt_2reg modereg=2.
if max(opt_1reg, opt_2reg, opt_3reg, opt_4reg, opt_5reg)=opt_1reg modereg=1.

if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con)=opt_5con modecon=5.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con)=opt_4con modecon=4.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con)=opt_3con modecon=3.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con)=opt_2con modecon=2.
if max(opt_1con, opt_2con, opt_3con, opt_4con, opt_5con)=opt_1con modecon=1.

***** Imputation at class level *****.

if (missing(proof) and misclspc~= 0 and misclspc LT .15) proof=modecls.

FREQUENCIES
  VARIABLES=proof
  /ORDER  ANALYSIS .

***** Imputation at school level *****.

if (missing(proof) and misclspc GE .15 and misschpc~= 0 and misschpc LT .15) proof=modesch.

FREQUENCIES
  VARIABLES=proof
  /ORDER  ANALYSIS .

***** Imputation at district level *****.

if (missing(proof) and misclspc GE .15 and misschpc GE .15 and misdispc~= 0 and misdispc LT .15) proof=modedis.

FREQUENCIES
  VARIABLES=proof
  /ORDER  ANALYSIS .

***** Imputation at region level *****.

if (missing(proof) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc~= 0 and misregpc LT .15) proof=modereg.

FREQUENCIES
  VARIABLES=proof
  /ORDER  ANALYSIS .

***** Imputation at country level *****.

if (missing(proof) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc GE .15 and misconpc~= 0 and misconpc LT .15) proof=modecon.

FREQUENCIES
  VARIABLES=proof
  /ORDER  ANALYSIS .

***** No imputation if more than 15% missing at country level *****.

if (missing(proof) and misclspc GE .15 and misschpc GE .15 and misdispc GE .15 and misregpc GE .15 and misconpc GE .15) proof=proof.

FREQUENCIES
  VARIABLES=proof
  /ORDER  ANALYSIS .

***** saving variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ20.sav' /keep country stratum idpupil proof.
