GET
  FILE='E:\H Mioko\SACMEQ3\Main Data Quality\SACMEQ15.sav'.

if missing(prepeat) prepeat=1.
if missing(prepeat6) prepeat6=1.
if missing(PRPTWHY1) PRPTWHY1=1.
if missing(PRPTWHY2) PRPTWHY2=1.
if missing(PRPTWHY3) PRPTWHY3=1.
if missing(PRPTWHY4) PRPTWHY4=1.

FREQUENCIES
  VARIABLES=prepeat prepeat6 PRPTWHY1 to PRPTWHY4
  /ORDER  ANALYSIS .

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\temp.sav'.

*** Consistency check ***.
USE ALL.
COMPUTE filter_$=(PREPEAT6 = 2 and PRPTWHY1=1 and PRPTWHY2=1 and PRPTWHY3=1 and PRPTWHY4=1).
VARIABLE LABEL filter_$ 'PREPEAT6 = 2 and PRPTWHY1=1 and PRPTWHY2=1 and PRPTWHY3=1 and PRPTWHY4=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=COUNTRY SCHOOL PUPIL PREPEAT PREPEAT6 PRPTWHY1 PRPTWHY2 PRPTWHY3  PRPTWHY4
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=((PRPTWHY1=2 or PRPTWHY2=2 or PRPTWHY3=2 or PRPTWHY4=2) and PREPEAT6 =1 ).
VARIABLE LABEL filter_$ '(PRPTWHY1=2 or PRPTWHY2=2 or PRPTWHY3=2 or PRPTWHY4=2) and PREPEAT6 =1  (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=COUNTRY SCHOOL PUPIL PREPEAT PREPEAT6 PRPTWHY1 PRPTWHY2 PRPTWHY3  PRPTWHY4
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(PREPEAT = 1 and PREPEAT6 = 2).
VARIABLE LABEL filter_$ 'PREPEAT = 1 and PREPEAT6 = 2 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=COUNTRY SCHOOL PUPIL PREPEAT PREPEAT6 PRPTWHY1 PRPTWHY2 PRPTWHY3  PRPTWHY4
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Case Summaries'
  /MISSING=VARIABLE
  /CELLS=COUNT .

***** computing derived variable *****.
FILTER OFF.
USE ALL.
EXECUTE .

if PREPEAT6 = 2 and PRPTWHY1=1 and PRPTWHY2=1 and PRPTWHY3=1 and PRPTWHY4=1 PRPTWHY4=2.
if (PRPTWHY1=2 or PRPTWHY2=2 or PRPTWHY3=2 or PRPTWHY4=2) and PREPEAT6 =1 PREPEAT6 =2. 
if PRPTWHY1=1 and PRPTWHY2=1 and PRPTWHY3=1 and PRPTWHY4=1 PREPEAT6 =1.
if prepeat=1 and prepeat6=2 prepeat=2.

RECODE prepeat (1=0) (2 thru 4=1) INTO zprepeat.
EXECUTE .

FREQUENCIES
  VARIABLES=prepeat prepeat6 zprepeat
  /ORDER  ANALYSIS .

CROSSTABS
  /TABLES=prepeat  BY prepeat6
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

***** saving imputed and derived variables *****.

sort cases by country (a) stratum (a) idpupil (a).

save outfile='E:\H Mioko\SACMEQ3\Main Data Quality\aaa imputation\PQ23_24.sav' /keep country stratum idpupil prepeat prepeat6 PRPTWHY1 PRPTWHY2 PRPTWHY3 PRPTWHY4 zprepeat.

***** Table Repetition *****.

SORT CASES BY country .
SPLIT FILE
  LAYERED BY country .

MEANS
  TABLES=zprepeat BY stratum
  /CELLS MEAN COUNT STDDEV  .

