************************************************************************.
*** Creating IDPUPIL for PBOOKLET Part A: Reading Test ***.
************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\01_PBK_PARTA_(READ)_ZAM_S3_26SEPT2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

***** ZAM special cleaning on PCLASS *****.
if SCHOOL=37 and PCLASS=6 PCLASS=5.
if SCHOOL=2250 and PCLASS=2 PCLASS=1.
if SCHOOL=2441 and PCLASS=2 PCLASS=1.
***** ZAM special cleaning on PCLASS *****.

compute idpupil=school*1000+pupil.
formats idpupil (f12.0).

sort cases by idpupil (a).
rename variables (IDPPT=IDPPT_PA).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PBK_R.SAV' 
/drop CHECKA CHECKB CHECKC CHECKD .

***************************************************************************************.
*** Creating IDPUPIL for PBOOKLET Part B: HIV/AIDS Knowledge Test ***.
***************************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\01_PBK_PARTB_(HLTH)_ZAM_S3_26SEPT2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

compute idpupil=school*1000+pupil.
formats idpupil (f12.0).

sort cases by idpupil (a).
rename variables (IDPPT=IDPPT_PB).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PBK_H.SAV' 
/drop CHECKE CHECKF CHECKG CHECKH CHECKI CHECKJ .

*****************************************************************************.
*** Creating IDPUPIL for PBOOKLET Part C: Mathematics Test ***.
*****************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\01_PBK_PARTC_(Math)_ZAM_S3_26SEPT2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

compute idpupil=school*1000+pupil.
formats idpupil (f12.0).

sort cases by idpupil (a).
rename variables (IDPPT=IDPPT_PC).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PBK_M.SAV' 
/drop CHECKK CHECKL CHECKM CHECKN .

************************************************************************.
*** Creating IDPUPIL for PBOOKLET Part D: Questionnaire ***.
************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\01_PBK_PARTD_(Qnre)_ZAM_S3_26SEPT2007.sav'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

compute idpupil=school*1000+pupil.
formats idpupil (f12.0).

sort cases by idpupil (a).
rename variables (IDPPT=IDPPT_PD).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PBK_Q.SAV' .

************************************************************************.
*** Creating IDTEACH for TBOOKLET Part A: Reading Test ***.
************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\02_Tbk_PartA_(Read)_ZAM_S3_16Oct2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

compute idteach=school*1000+teacher.
formats idteach (f12.0).
sort cases by idteach (a).

save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TBK_R.SAV'
/drop CHECKA CHECKB CHECKC CHECKD  .

**************************************************************************.
*** Creating IDTEACH for TBOOKLET Part B: HIV/AIDS Test ***.
**************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\02_TBK_PARTB_(Hlth)_ZAM_S3_26SEPT2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

compute idteach=school*1000+teacher.
formats idteach (f12.0).

sort cases by idteach (a).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TBK_H.SAV' 
/drop CHECKE CHECKF CHECKG CHECKH CHECKI CHECKJ .

******************************************************************************.
*** Creating IDTEACH for TBOOKLET Part C: Mathematics Test ***.
******************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\02_TBK_PARTC_(Math)_ZAM_S3_26SEPT2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

compute idteach=school*1000+teacher.
formats idteach (f12.0).

sort cases by idteach (a).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TBK_M.SAV' 
/drop CHECKK CHECKL CHECKM CHECKN .

*************************************************************************.
*** Creating IDTEACH for TBOOKLET Part D: Questionnaire ***.
*************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\02_Tbk_PartD_(Qnre)_ZAM_S3_16Oct2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

compute idteach=school*1000+teacher.
formats idteach (f12.0).
sort cases by idteach (a).

save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TBK_Q.SAV' .

***********************************************************************.
*** Creating IDPUPIL and IDCLASS for Pupil Name Form ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\05_Pnf_ZAM_S3_26SEPT2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).
compute PFSEX =upcase(PFSEX ).
compute PFREAD =upcase(PFREAD).
compute PFHIV =upcase(PFHIV ).
compute PFMATH =upcase(PFMATH ).
compute PFQUEST =upcase(PFQUEST ).
compute PDFATHER =upcase(PDFATHER ).
compute PDMOTHER=upcase(PDMOTHER).

***** ZAM special cleaning on pupil PFCLASS *****.
if SCHOOL=37 and PFCLASS='  6F' PFCLASS='  6E'.
if SCHOOL=2250 and PFCLASS='  6B' PFCLASS='  6A'.
if SCHOOL=2441 and PFCLASS='  6B' PFCLASS='  6A'.
***** ZAM special cleaning on pupil PFCLASS *****.

string idschool (a9).
compute idschool=string(school,f9).

compute idpupil=school*1000+ pfpupil.
formats idpupil (f12.0).

string idclass (a12).
compute idclass=concat(idschool,substr(ltrim(pfclass),2)).

sort cases by idpupil (a).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PNF.SAV' .

*********************************************************.
*** Sorting School Head Booklet by SCHOOL ***.
*********************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\03_Shbk_ZAM_S3_26Sept2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

sort cases by SCHOOL (a).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\SHBK.SAV' .

***************************************************************.
*** Sorting School Information Booklet by SCHOOL ***.
***************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\06_SIBK_ZAM_S3_26SEPT2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).

sort cases by SCHOOL (a).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\SIBK.SAV' .

*************************************************.
*** Creating IDCLASS for School Form ***.
*************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\04_SF_ZAM_S3_26SEPT2007.SAV'.

compute COUNTRY=upcase(COUNTRY).
compute REGION=upcase(REGION).
compute DISTRICT=upcase(DISTRICT).
compute SFCLASS=upcase(SFCLASS).

string idschool (a9).
compute idschool =string(school,f9).

string idclass (a12).
compute idclass=concat(idschool,substr(ltrim(sfclass),2)) .

sort cases by SCHOOL idclass (a).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\SF.SAV' .

************************************************************************.
*** Merging all Parts of PBOOKLET and creating IDCLASS ***.
************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PBK_R.SAV'.

********** Merging Pupil Reading and Pupil HIV/AIDS **********.
MATCH FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PBK_H.SAV'
 /RENAME (COUNTRY DISTRICT INSTR PART PUNCHER PUPIL REGION SCHOOL = d0 d1 d2  d3 d4 d5 d6 d7)
 /BY idpupil.
EXECUTE.

********** Merging Pupil Reading / Pupil HIV/AIDS / Pupil Maths **********.
MATCH FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PBK_M.SAV'
 /RENAME (COUNTRY DISTRICT INSTR PART PUNCHER PUPIL REGION SCHOOL = d8 d9 d10  d11 d12 d13 d14 d15)
 /BY idpupil.
EXECUTE.

********** Merging Pupil Reading / Pupil HIV/AIDS / Pupil Maths / Pupil Questionnaire **********.
MATCH FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PBK_Q.SAV'
 /RENAME (COUNTRY DISTRICT INSTR PART PUNCHER PUPIL REGION SCHOOL = d16 d17 d18  d19 d20 d21 d22 d23)
 /BY idpupil.
EXECUTE.

*** Checking the inconsistencies in COUNTRY REGION and DISTRICT ***.
USE ALL.
COMPUTE filter_$=(COUNTRY ~=d0 or COUNTRY~=d8 or COUNTRY~=d16 ) .
VARIABLE LABEL filter_$ '(COUNTRY ~=d0 or COUNTRY~=d8 or d0~=d8 ) '.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL COUNTRY d0 d8 d16
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies for Country Code between PB parts A/B/C/D'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=( DISTRICT ~=d1 or DISTRICT ~=d9 or   DISTRICT ~=d17  ).
VARIABLE LABEL filter_$ '(DISTRICT ~=d1 or DISTRICT ~=d9 or  DISTRICT ~=d17  )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL DISTRICT d1 d9 d17
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies for District Code between PB parts A/B/C/D'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(REGION ~=d6 or  REGION ~=d14 or    REGION ~=d22  ).
VARIABLE LABEL filter_$ '(REGION ~=d6 or  REGION ~=d14 or    REGION ~=d22)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL REGION d6 d14 d22
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies for Region Code between PB parts A/B/C/D'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.

*** Check the frequencies of classes for each country ***.
FREQUENCIES
  VARIABLES=PCLASS
  /ORDER=  ANALYSIS .

string class (a3).
if pclass=1 class="A".
if pclass=2 class="B".
if pclass=3 class="C".
if pclass=4 class="D".
if pclass=5 class="E".
if pclass=6 class="F".
if pclass=7 class="G".
if pclass=8 class="H".

string idschool (a9).
compute idschool =string(school,f9).

string idclass (a12).
compute idclass=concat(idschool,class).

********** The order of pupil booklet will be IDs, Questionnaire, Reading test, Maths test, and Health knowledge test **********.
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_PBK.SAV' 
/keep COUNTRY REGION DISTRICT SCHOOL PUPIL PCLASS idpupil idschool class idclass 
IDPPT_PD PBDAY to PHCLSBT  IDPPT_PA PREAD01 to PREAD55 IDPPT_PC PMATH01 to PMATH49 IDPPT_PB IDPSEX PHLTH01 to PHLTH86 .

*********************************************.
*** Merging all Parts of TBOOKLET ***.
*********************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TBK_R.SAV'.

********** Merging Teacher Reading / Teacher HIV/AIDS **********.
MATCH FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TBK_H.SAV'
 /RENAME (COUNTRY DISTRICT INSTR PART PUNCHER REGION SCHOOL TEACHER = d0 d1  d2 d3 d4 d5 d6 d7)
 /BY idteach.
EXECUTE.

********** Merging Teacher Reading / Teacher HIV/AIDS / Teacher Maths **********.
MATCH FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TBK_M.SAV'
 /RENAME (COUNTRY DISTRICT INSTR PART PUNCHER REGION SCHOOL TEACHER = d8 d9  d10 d11 d12 d13 d14 d15)
 /BY idteach.
EXECUTE.

********** Merging Teacher Reading / Teacher HIV/AIDS / Teacher Maths / Teacher Questionnaire **********.
MATCH FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TBK_Q.SAV'
 /RENAME (COUNTRY DISTRICT INSTR PART PUNCHER REGION SCHOOL TEACHER = d16 d17  d18 d19 d20 d21 d22 d23)
 /BY idteach.
EXECUTE.

*** Checking the inconsistencies of COUNTRY REGION and DISTRICT ***.
USE ALL.
COMPUTE filter_$=( COUNTRY~="" and d0 ~="" and COUNTRY ~=d0 or COUNTRY~="" and d8 ~="" and COUNTRY ~=d8 or COUNTRY~="" and d16 ~="" and COUNTRY ~=d16 ).
VARIABLE LABEL filter_$ '( COUNTRY~="" and d0 ~="" and COUNTRY ~=d0 or COUNTRY~="" and d8 ~="" and COUNTRY ~=d8 or COUNTRY~="" and d16 ~="" and COUNTRY ~=d16)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL TEACHER COUNTRY d0 d8 d16 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies for COUNTRY Code between TB parts A/B/C/D'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(DISTRICT ~="" and d1   ~="" and DISTRICT ~=d1 or DISTRICT ~="" and d9  ~="" and DISTRICT ~=d9  or DISTRICT ~="" and d17  ~="" and DISTRICT ~=d17  ).
VARIABLE LABEL filter_$ '( DISTRICT ~="" and d1   ~="" and DISTRICT ~=d1 or DISTRICT ~="" and d9  ~="" and DISTRICT ~=d9  or DISTRICT ~="" and d17  ~="" and DISTRICT ~=d17  )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL TEACHER DISTRICT d1  d9  d17  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies for DISTRICT Code between TB parts A/B/C/D'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=( REGION ~="" and d5  ~="" and REGION ~=d5  or REGION ~="" and d13 ~="" and REGION ~=d13 or REGION ~="" and d21 ~="" and REGION ~=d21 ).
VARIABLE LABEL filter_$ '( REGION ~="" and d5  ~="" and REGION ~=d5  or REGION ~="" and d13 ~="" and REGION ~=d13 or REGION ~="" and d21 ~="" and REGION ~=d21 )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL TEACHER REGION d5 d13 d21 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies for REGION Code between TB parts A/B/C/D'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.

*** Checking the inconsistencies of tests completed and class/subjects ticked***.
count Rmiss=Tread01 to Tread52 (missing).
count Mmiss= TMATH01 to TMATH42 (missing).
count Hmiss= THLTH01 to THLTH86 (missing).

*** Reading ***.
USE ALL.
COMPUTE filter_$=( Rmiss~=52 and missing(TRCL6A) and missing(TRCL6B) and missing(TRCL6C) and missing(TRCL6D) and missing(TRCL6E) and missing(TRCL6F) and missing(TRCL6G) and missing(TRCL6H)     ).
VARIABLE LABEL filter_$ '( Rmiss~=52 and missing(TRCL6A) and missing(TRCL6B) and missing(TRCL6C) and missing(TRCL6D) and missing(TRCL6E) and missing(TRCL6F) and missing(TRCL6G) and missing(TRCL6H)     )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idteach Rmiss TRCL6A  TRCL6B  TRCL6C   TRCL6D  TRCL6E  TRCL6F  TRCL6G  TRCL6H 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between R test and R class ticks'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=( Rmiss=52 and (TRCL6A=2 or TRCL6B=2 or TRCL6C=2 or TRCL6D=2 or TRCL6E=2 or TRCL6F=2 or TRCL6G=2 or TRCL6H=2)     ).
VARIABLE LABEL filter_$ '( Rmiss=52 and (TRCL6A=2 or TRCL6B=2 or TRCL6C=2 or TRCL6D=2 or TRCL6E=2 or TRCL6F=2 or TRCL6G=2 or TRCL6H=2)     )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idteach Rmiss TRCL6A  TRCL6B  TRCL6C   TRCL6D  TRCL6E  TRCL6F  TRCL6G  TRCL6H TSEX TAGE TQPERMNT TQACADEM TQPROFES TNUMYRS 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between R test and R class ticks'
  /MISSING=VARIABLE
  /CELLS=COUNT .

*** Mathematics ***.
USE ALL.
COMPUTE filter_$=( Mmiss~=42 and missing(TMCL6A) and missing(TMCL6B) and missing(TMCL6C) and missing(TMCL6D) and missing(TMCL6E) and missing(TMCL6F) and missing(TMCL6G) and missing(TMCL6H)     ).
VARIABLE LABEL filter_$ '( Mmiss~=42 and missing(TMCL6A) and missing(TMCL6B) and missing(TMCL6C) and missing(TMCL6D) and missing(TMCL6E) and missing(TMCL6F) and missing(TMCL6G) and missing(TMCL6H)     )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idteach Mmiss TMCL6A  TMCL6B  TMCL6C   TMCL6D  TMCL6E  TMCL6F  TMCL6G  TMCL6H 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between M test and M class ticks'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=( Mmiss=42 and (TMCL6A=2 or TMCL6B=2 or TMCL6C=2 or TMCL6D=2 or TMCL6E=2 or TMCL6F=2 or TMCL6G=2 or TMCL6H=2)     ).
VARIABLE LABEL filter_$ '( Mmiss~=42 and (TMCL6A=2 or TMCL6B=2 or TMCL6C=2 or TMCL6D=2 or TMCL6E=2 or TMCL6F=2 or TMCL6G=2 or TMCL6H=2)     )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idteach Mmiss TMCL6A  TMCL6B  TMCL6C   TMCL6D  TMCL6E  TMCL6F  TMCL6G  TMCL6H TSEX TAGE TQPERMNT TQACADEM TQPROFES TNUMYRS 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between M test and M class ticks'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.

***** ZAM Class Tick Cleaning Maths *****.
IF idteach=3596001   TMCL6A  =2.
***** ZAM Class Tick Cleaning Maths *****.

*** Health ***.
USE ALL.
COMPUTE filter_$=( Hmiss~=86 and missing(THCL6A) and missing(THCL6B) and missing(THCL6C) and missing(THCL6D) and missing(THCL6E) and missing(THCL6F) and missing(THCL6G) and missing(THCL6H)     ).
VARIABLE LABEL filter_$ '( Hmiss~=86 and missing(THCL6A) and missing(THCL6B) and missing(THCL6C) and missing(THCL6D) and missing(THCL6E) and missing(THCL6F) and missing(THCL6G) and missing(THCL6H)     )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idteach Hmiss THCL6A  THCL6B  THCL6C   THCL6D  THCL6E  THCL6F  THCL6G  THCL6H 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between H test and H class ticks'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=( Hmiss=86 and (THCL6A=2 or THCL6B=2 or THCL6C=2 or THCL6D=2 or THCL6E=2 or THCL6F=2 or THCL6G=2 or THCL6H=2)     ).
VARIABLE LABEL filter_$ '( Hmiss~=86 and (THCL6A=2 or THCL6B=2 or THCL6C=2 or THCL6D=2 or THCL6E=2 or THCL6F=2 or THCL6G=2 or THCL6H=2)     )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idteach Hmiss THCL6A  THCL6B  THCL6C   THCL6D  THCL6E  THCL6F  THCL6G  THCL6H TSEX TAGE TQPERMNT TQACADEM TQPROFES TNUMYRS 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between H test and H class ticks'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.

***** ZAM Class Tick Cleaning Maths *****.
IF idteach=3596001   THCL6A  =2.
***** ZAM Class Tick Cleaning Maths *****.

********** The order for merging is: IDs, Teacher questionnaire, Reading test, Maths test, and Health knowledge test **********.
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV' 
/keep COUNTRY REGION DISTRICT SCHOOL TEACHER TRCL6A to TCSZ6DDD idteach 
TSEX to THIVTEST TREAD01 to TREAD52 TMATH01 to TMATH42 IDTSEX THLTH01 to THLTH86 .

***********************************************************************.
*** Hotdecking / Extracting Reading Teachers for class 6A ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTE=0.

DO IF school= 966	and teacher=	4	.
Compute  TRCL6A =2.
Compute TCSZ6A = 33.
Compute HDTE=1.
END IF.

DO IF school= 3696	and teacher=	1	.
Compute  TRCL6A =2.
Compute TCSZ6A = 56.
Compute HDTE=1.
END IF.

select if (TRCL6A =2).
string xclass (a3).
compute xclass="A".
compute xclsize= TCSZ6A.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6A.SAV'.

***********************************************************************.
*** Hotdecking / Extracting Reading Teachers for class 6B ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTE=0.

DO IF school= 70	and teacher=	1	.
Compute  TRCL6B =2.
Compute TCSZ6B= 54.
Compute HDTE=1.
END IF.

DO IF school= 271	and teacher=	1	.
Compute  TRCL6B =2.
Compute TCSZ6B= 36.
Compute HDTE=1.
END IF.

DO IF school= 490	and teacher=	1	.
Compute  TRCL6B =2.
Compute TCSZ6B= 56.
Compute HDTE=1.
END IF.

DO IF school= 966	and teacher=	5	.
Compute  TRCL6B =2.
Compute TCSZ6B= 32.
Compute HDTE=1.
END IF.

select if (TRCL6B =2).
string xclass (a3).
compute xclass="B".
compute xclsize= TCSZ6B.
save outfile'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6B.SAV'.

***********************************************************************.
*** Hotdecking / Extracting Reading Teachers for class 6C ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTE=0.

DO IF school= 70	and teacher=	1.
Compute  TRCL6C =2.
Compute TCSZ6C= 54.
Compute HDTE=1.
END IF.

DO IF school= 271	and teacher=	1	.
Compute  TRCL6C =2.
Compute TCSZ6C= 36.
Compute HDTE=1.
END IF.

DO IF school= 279	and teacher=	1	.
Compute  TRCL6C =2.
Compute TCSZ6C= 57.
Compute HDTE=1.
END IF.

DO IF school= 490	and teacher=	3	.
Compute  TRCL6C =2.
Compute TCSZ6C= 47.
Compute HDTE=1.
END IF.

DO IF school= 966	and teacher=	6	.
Compute  TRCL6C =2.
Compute TCSZ6C= 39.
Compute HDTE=1.
END IF.

DO IF school= 3897	and teacher=	2	.
Compute  TRCL6C =2.
Compute TCSZ6C= 31.
Compute HDTE=1.
END IF.

select if (TRCL6C =2).
string xclass (a3).
compute xclass="C".
compute xclsize= TCSZ6C.
save outfile'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6C.SAV'.

***********************************************************************.
*** Hotdecking / Extracting Reading Teachers for class 6D ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTE=0.

DO IF school= 21	and teacher=	1	.
Compute  TRCL6D =2.
Compute TCSZ6D= 44.
Compute HDTE=1.
END IF.

DO IF school= 37	and teacher=	2	.
Compute  TRCL6D =2.
Compute TCSZ6D= 47.
Compute HDTE=1.
END IF.

DO IF school= 70	and teacher=	1	.
Compute  TRCL6D =2.
Compute TCSZ6D= 54.
Compute HDTE=1.
END IF.

DO IF school= 118	and teacher=	1	.
Compute  TRCL6D =2.
Compute TCSZ6D= 70.
Compute HDTE=1.
END IF.

DO IF school= 278	and teacher=	1	.
Compute  TRCL6D =2.
Compute TCSZ6D= 60.
Compute HDTE=1.
END IF.

DO IF school= 281	and teacher=	2	.
Compute  TRCL6D =2.
Compute TCSZ6D= 48.
Compute HDTE=1.
END IF.

DO IF school= 482	and teacher=	3	.
Compute  TRCL6D =2.
Compute TCSZ6D= 68.
Compute HDTE=1.
END IF.

DO IF school= 945	and teacher=	1	.
Compute  TRCL6D =2.
Compute TCSZ6D= 41.
Compute HDTE=1.
END IF.

DO IF school= 4024	and teacher=	2	.
Compute  TRCL6D =2.
Compute TCSZ6D= 47.
Compute HDTE=1.
END IF.

DO IF school= 4439	and teacher=	3	.
Compute  TRCL6D =2.
Compute TCSZ6D= 45.
Compute HDTE=1.
END IF.

DO IF school= 4441	and teacher=	1	.
Compute  TRCL6D =2.
Compute TCSZ6D= 93.
Compute HDTE=1.
END IF.

select if (TRCL6D =2).
string xclass (a3).
compute xclass="D".
compute xclsize= TCSZ6D.
save outfile'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6D.SAV'.

***********************************************************************.
*** Hotdecking / Extracting Reading Teachers for class 6E ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTE=0.

DO IF school= 21	and teacher=	2	.
Compute  TRCL6E =2.
Compute TCSZ6E= 60.
Compute HDTE=1.
END IF.

DO IF school= 37	and teacher=	3	.
Compute  TRCL6E =2.
Compute TCSZ6E= 47.
Compute HDTE=1.
END IF.

DO IF school= 118	and teacher=	3	.
Compute  TRCL6E =2.
Compute TCSZ6E= 60.
Compute HDTE=1.
END IF.

DO IF school= 278	and teacher=	2	.
Compute  TRCL6E =2.
Compute TCSZ6E= 61.
Compute HDTE=1.
END IF.

DO IF school= 281	and teacher=	3	.
Compute  TRCL6E =2.
Compute TCSZ6E= 48.
Compute HDTE=1.
END IF.

DO IF school= 921	and teacher=	3	.
Compute  TRCL6E =2.
Compute TCSZ6E= 46.
Compute HDTE=1.
END IF.

DO IF school= 933	and teacher=	1	.
Compute  TRCL6E =2.
Compute TCSZ6E= 44.
Compute HDTE=1.
END IF.

DO IF school= 945	and teacher=	2	.
Compute  TRCL6E =2.
Compute TCSZ6E= 43.
Compute HDTE=1.
END IF.

DO IF school=4024	and teacher=	3	.
Compute  TRCL6E =2.
Compute TCSZ6E= 4.
Compute HDTE=1.
END IF.

DO IF school= 4441	and teacher=	2	.
Compute  TRCL6E =2.
Compute TCSZ6E= 93.
Compute HDTE=1.
END IF.

select if (TRCL6E =2).
string xclass (a3).
compute xclass="E".
compute xclsize= TCSZ6E.
save outfile'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6E.SAV'.

***********************************************************************.
*** Hotdecking / Extracting Reading Teachers for class 6F ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTE=0.

DO IF school= 921	and teacher=	4	.
Compute  TRCL6F =2.
Compute TCSZ6F= 57.
Compute HDTE=1.
END IF.

DO IF school= 4441	and teacher=	3	.
Compute  TRCL6F =2.
Compute TCSZ6F= 93.
Compute HDTE=1.
END IF.

select if (TRCL6F =2).
string xclass (a3).
compute xclass="F".
compute xclsize= TCSZ6F.
save outfile'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6F.SAV'.

***********************************************************************.
*** Hotdecking / Extracting Reading Teachers for class 6G ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTE=0.

DO IF school= 4441	and teacher=	1	.
Compute  TRCL6G =2.
Compute TCSZ6G= 93.
Compute HDTE=1.
END IF.

select if (TRCL6G =2).
string xclass (a3).
compute xclass="G".
compute xclsize= TCSZ6G.
save outfile'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6G.SAV'.

***********************************************************************.
*** Hotdecking / Extracting Reading Teachers for class 6H ***.
***********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTE=0.

DO IF school= 921	and teacher=	7	.
Compute  TRCL6H =2.
Compute TCSZ6H= 54.
Compute HDTE=1.
END IF.

select if (TRCL6H =2).
string xclass (a3).
compute xclass="H".
compute xclsize= TCSZ6H.
save outfile'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6H.SAV'.

********************************************************************************************************************************************************************************************************.
*** Adding all Reading Teachers in the order of class / Creating IDCL (IDCLASS+FLAG) /Changing variable names / Saving IDs and Questionnaire, Reading, and HIV/AIDS ***.
********************************************************************************************************************************************************************************************************.
GET 
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6A.SAV' .

ADD FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6B.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6C.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6D.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6E.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6F.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6G.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TR6H.sav'
.
EXECUTE.

rename variables idteach=idtr.

string idschool (a9).
compute idschool=string(school,f9).

string idclass (a12).
compute idclass=concat(idschool,xclass).

sort cases by idclass (a).

string xflag (a1).
compute xflag="1".
if idclass=lag(idclass) xflag="2".

string idcl (a13).
compute idcl=concat(rtrim(idclass),xflag).

rename variables ( TSEX = XSEX )  ( TAGE = XAGE )  ( TQPERMNT = XQPERMNT )  ( TQACADEM = XQACADEM )  ( TQPROFES = XQPROFES )  ( TNUMYRS = XNUMYRS )  ( TINSERVC = XINSERVC )
  ( TINSERVD = XINSERVD )  ( TINSERVE = XINSERVE )  ( TBORROW = XBORROW )  ( TBOOKCLS = XBOOKCLS )  ( TRESCKBD = XRESCKBD )  ( TRESCHLK = XRESCHLK )  ( TRESDSTR = XRESDSTR )
  ( TRESWCHT = XRESWCHT )  ( TRESCPBD = XRESCPBD )  ( TRESBKSH = XRESBKSH )  ( TRESCLIB = XRESCLIB )  ( TRESTTAB = XRESTTAB )  ( TRESTCHR = XRESTCHR )  ( TSITCLAS = XSITCLAS )
  ( TWRITCLS = XWRITCLS )  ( TRESMAP = XRESMAP )  ( TRESENGD = XRESENGD )  ( TRESCGEO = XRESCGEO )  ( TRESTGR = XRESTGR )  ( TRESTGM = XRESTGM )  ( TRESTGH = XRESTGH )
  ( TRESBOOK = XRESBOOK )  ( TRESHIVP = XRESHIVP )  ( TRESHIVB = XRESHIVB )  ( TRESRAD = XRESRAD )  ( TRESTV = XRESTV )  ( TRESCAS = XRESCAS )  ( TRESCD = XRESCD )
  ( TRESVCR = XRESVCR )  ( TRESDVD = XRESDVD )  ( TRESCOMP = XRESCOMP )  ( TRESINT = XRESINT )  ( TRESPCPY = XRESPCPY )  ( TNPERIOD = XNPERIOD )  ( TMINPER = XMINPER )
  ( THRSPREP = XHRSPREP )  ( TMEETPAR = XMEETPAR )  ( TTEACHRD = XTEACHRD )  ( TTEACHMA = XTEACHMA )  ( TTEACHSC = XTEACHSC )  ( TTEACHSS = XTEACHSS )  ( TTEACHHS = XTEACHHS )
  ( TTRAINRD = XTRAINRD )  ( TTRAINMA = XTRAINMA )  ( TTRAINSC = XTRAINSC )  ( TTRAINSS = XTRAINSS )  ( TTRAINHS = XTRAINHS )  ( TABSNT1 = XABSNT1 )  ( TABSNT2 = XABSNT2 )
  ( TABSNT3 = XABSNT3 )  ( TABSNT4 = XABSNT4 )  ( TABSNT5 = XABSNT5 )  ( TABSNT6 = XABSNT6 )  ( TABSNT7 = XABSNT7 )  ( TABSNT8 = XABSNT8 )  ( TABSNT9 = XABSNT9 )
  ( TABSNT10 = XABSNT10 )  ( TABSNT11 = XABSNT11 )  ( TABSNT12 = XABSNT12 )  ( TPRINADV = XPRINADV )  ( TRCENTRE = XRCENTRE )  ( TRCVISIT = XRCVISIT )  ( TRCUSE1 = XRCUSE1 )
  ( TRCUSE2 = XRCUSE2 )  ( TRCUSE3 = XRCUSE3 )  ( TRCUSE4 = XRCUSE4 )  ( TRCUSE5 = XRCUSE5 )  ( TRCUSE6 = XRCUSE6 )  ( TCONDLIV = XCONDLIV )  ( TRRPTCOM = XRRPTCOM )
  ( TRPTMCOM = XRPTMCOM )  ( TRPTHCOM = XRPTHCOM )  ( TSIGNHM = XSIGNHM )  ( TTEST = XTEST )  ( THTEST1 = XHTEST1 )  ( THTEST2 = XHTEST2 )  ( THIVPAY = XHIVPAY )
  ( THIVFREE = XHIVFREE )  ( THRISKU = XHRISKU )  ( THRISKT = XHRISKT )  ( THINFO01 = XHINFO01 )  ( THINFO02 = XHINFO02 )  ( THINFO03 = XHINFO03 )  ( THINFO04 = XHINFO04 )
  ( THINFO05 = XHINFO05 )  ( THINFO06 = XHINFO06 )  ( THINFO07 = XHINFO07 )  ( THINFO08 = XHINFO08 )  ( THINFO09 = XHINFO09 )  ( THINFO10 = XHINFO10 )  ( THINFO11 = XHINFO11 )
  ( THINFO12 = XHINFO12 )  ( THINFO13 = XHINFO13 )  ( THINFO14 = XHINFO14 )  ( THINFO15 = XHINFO15 )  ( THINFO16 = XHINFO16 )  ( THINFO17 = XHINFO17 )  ( THINFO18 = XHINFO18 )
  ( THINFO19 = XHINFO19 )  ( THINFO20 = XHINFO20 )  ( THINFO21 = XHINFO21 )  ( THINFO22 = XHINFO22 )  ( THINFO23 = XHINFO23 )  ( THINFO24 = XHINFO24 )  ( THINFOBT = XHINFOBT )
  ( THPUPIL = XHPUPIL )  ( THTCHER = XHTCHER )  ( THCRSHIV = XHCRSHIV )  ( THCRS01 = XHCRS01 )  ( THCRS02 = XHCRS02 )  ( THCRS03 = XHCRS03 )  ( THCRS04 = XHCRS04 )
  ( THCRS05 = XHCRS05 )  ( THCRS06 = XHCRS06 )  ( THCRS07 = XHCRS07 )  ( THCRS08 = XHCRS08 )  ( THCRS09 = XHCRS09 )  ( THCRS10 = XHCRS10 )  ( THCRS11 = XHCRS11 )  ( THCRS12 = XHCRS12 )
  ( THCRS13 = XHCRS13 )  ( THCRS14 = XHCRS14 )  ( THCRSBT = XHCRSBT )  ( THIVTEST = XHIVTEST )
  (IDTSEX = IDXSEX) ( THLTH01  = XHLTH01  )  ( THLTH02 = XHLTH02 )  ( THLTH03 = XHLTH03 )  ( THLTH04 = XHLTH04 )  ( THLTH05 = XHLTH05 )  ( THLTH06 = XHLTH06 )  ( THLTH07 = XHLTH07 )  ( THLTH08 = XHLTH08 )
  ( THLTH09 = XHLTH09 )  ( THLTH10 = XHLTH10 )  ( THLTH11 = XHLTH11 )  ( THLTH12 = XHLTH12 )  ( THLTH13 = XHLTH13 )  ( THLTH14 = XHLTH14 )  ( THLTH15 = XHLTH15 )  ( THLTH16 = XHLTH16 )
  ( THLTH17 = XHLTH17 )  ( THLTH18 = XHLTH18 )  ( THLTH19 = XHLTH19 )  ( THLTH20 = XHLTH20 )  ( THLTH21 = XHLTH21 )  ( THLTH22 = XHLTH22 )  ( THLTH23 = XHLTH23 )  ( THLTH24 = XHLTH24 )
  ( THLTH25 = XHLTH25 )  ( THLTH26 = XHLTH26 )  ( THLTH27 = XHLTH27 )  ( THLTH28 = XHLTH28 )  ( THLTH29 = XHLTH29 )  ( THLTH30 = XHLTH30 )  ( THLTH31 = XHLTH31 )  ( THLTH32 = XHLTH32 )
  ( THLTH33 = XHLTH33 )  ( THLTH34 = XHLTH34 )  ( THLTH35 = XHLTH35 )  ( THLTH36 = XHLTH36 )  ( THLTH37 = XHLTH37 )  ( THLTH38 = XHLTH38 )  ( THLTH39 = XHLTH39 )  ( THLTH40 = XHLTH40 )
  ( THLTH41 = XHLTH41 )  ( THLTH42 = XHLTH42 )  ( THLTH43 = XHLTH43 )  ( THLTH44 = XHLTH44 )  ( THLTH45 = XHLTH45 )  ( THLTH46 = XHLTH46 )  ( THLTH47 = XHLTH47 )  ( THLTH48 = XHLTH48 )
  ( THLTH49 = XHLTH49 )  ( THLTH50 = XHLTH50 )  ( THLTH51 = XHLTH51 )  ( THLTH52 = XHLTH52 )  ( THLTH53 = XHLTH53 )  ( THLTH54 = XHLTH54 )  ( THLTH55 = XHLTH55 )  ( THLTH56 = XHLTH56 )
  ( THLTH57 = XHLTH57 )  ( THLTH58 = XHLTH58 )  ( THLTH59 = XHLTH59 )  ( THLTH60 = XHLTH60 )  ( THLTH61 = XHLTH61 )  ( THLTH62 = XHLTH62 )  ( THLTH63 = XHLTH63 )  ( THLTH64 = XHLTH64 )
  ( THLTH65 = XHLTH65 )  ( THLTH66 = XHLTH66 )  ( THLTH67 = XHLTH67 )  ( THLTH68 = XHLTH68 )  ( THLTH69 = XHLTH69 )  ( THLTH70 = XHLTH70 )  ( THLTH71 = XHLTH71 )  ( THLTH72 = XHLTH72 )
  ( THLTH73 = XHLTH73 )  ( THLTH74 = XHLTH74 )  ( THLTH75 = XHLTH75 )  ( THLTH76 = XHLTH76 )  ( THLTH77 = XHLTH77 )  ( THLTH78 = XHLTH78 )  ( THLTH79 = XHLTH79 )  ( THLTH80 = XHLTH80 )
  ( THLTH81 = XHLTH81 )  ( THLTH82 = XHLTH82 )  ( THLTH83 = XHLTH83 )  ( THLTH84 = XHLTH84 )  ( THLTH85 = XHLTH85 )  ( THLTH86 = XHLTH86 )   .

sort cases by idcl (A).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TRead.sav'
/keep COUNTRY REGION DISTRICT SCHOOL HDTE xclass xclsize idschool idclass xflag idcl idtr 
XSEX to XHIVTEST TREAD01 to TREAD52 IDXSEX XHLTH01 to XHLTH86 .

*************************************************************************************************.
*** Aggregating Reading Teachers to TRcont with IDCLASS as the break variable ***.
*************************************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TRead.SAV' .

AGGREGATE
  /OUTFILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TRcont.sav'
  /BREAK=idclass
  /rflag=N.

*********************************************************************.
*** Hotdecking / Extracting Maths Teachers for class 6A ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTM=0.

DO IF school= 966	and teacher=	4	.
Compute  TMCL6A =2.
Compute TCSZ6A= 33.
Compute HDTM=1.
END IF.

DO IF school= 3696	and teacher=	1	.
Compute  TMCL6A =2.
Compute TCSZ6A= 56.
Compute HDTM=1.
END IF.

select if (TMCL6A =2).
string yclass (a3).
compute yclass ="A".
compute yclsize= TCSZ6A.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6A.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Maths Teachers for class 6B ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTM=0.

DO IF school= 70	and teacher=	1	.
Compute  TMCL6B =2.
Compute TCSZ6B= 54.
Compute HDTM=1.
END IF.

DO IF school= 271	and teacher=	1	.
Compute  TMCL6B =2.
Compute TCSZ6B= 36.
Compute HDTM=1.
END IF.

DO IF school= 490	and teacher=	1	.
Compute  TMCL6B =2.
Compute TCSZ6B= 56.
Compute HDTM=1.
END IF.

DO IF school= 966	and teacher=	5	.
Compute  TMCL6B =2.
Compute TCSZ6B= 32.
Compute HDTM=1.
END IF.

select if (TMCL6B =2).
string yclass (a3).
compute yclass ="B".
compute yclsize= TCSZ6B.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6B.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Maths Teachers for class 6C ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTM=0.

DO IF school= 70	and teacher=	1	.
Compute  TMCL6C =2.
Compute TCSZ6C= 54.
Compute HDTM=1.
END IF.

DO IF school= 271	and teacher=	1	.
Compute  TMCL6C =2.
Compute TCSZ6C= 36.
Compute HDTM=1.
END IF.

DO IF school= 279	and teacher=	1	.
Compute  TMCL6C =2.
Compute TCSZ6C=57.
Compute HDTM=1.
END IF.

DO IF school= 490	and teacher=	3	.
Compute  TMCL6C =2.
Compute TCSZ6C= 47.
Compute HDTM=1.
END IF.

DO IF school= 966	and teacher=	6	.
Compute  TMCL6C =2.
Compute TCSZ6C= 39.
Compute HDTM=1.
END IF.

DO IF school= 3897	and teacher=	2	.
Compute  TMCL6C =2.
Compute TCSZ6C= 31.
Compute HDTM=1.
END IF.

select if (TMCL6C =2).
string yclass (a3).
compute yclass ="C".
compute yclsize= TCSZ6C.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6C.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Maths Teachers for class 6D ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTM=0.

DO IF school= 21	and teacher=	1	.
Compute  TMCL6D =2.
Compute TCSZ6D= 44.
Compute HDTM=1.
END IF.

DO IF school= 37	and teacher=	2	.
Compute  TMCL6D =2.
Compute TCSZ6D= 47.
Compute HDTM=1.
END IF.

DO IF school= 70	and teacher=	1	.
Compute  TMCL6D =2.
Compute TCSZ6D= 54.
Compute HDTM=1.
END IF.

DO IF school= 118	and teacher=	1	.
Compute  TMCL6D =2.
Compute TCSZ6D= 70.
Compute HDTM=1.
END IF.

DO IF school= 278	and teacher=	1	.
Compute  TMCL6D =2.
Compute TCSZ6D= 60.
Compute HDTM=1.
END IF.

DO IF school= 281	and teacher=	2	.
Compute  TMCL6D =2.
Compute TCSZ6D= 48.
Compute HDTM=1.
END IF.

DO IF school= 482	and teacher=	3	.
Compute  TMCL6D =2.
Compute TCSZ6D= 68.
Compute HDTM=1.
END IF.

DO IF school= 945	and teacher=	1	.
Compute  TMCL6D =2.
Compute TCSZ6D= 41.
Compute HDTM=1.
END IF.

DO IF school= 4024	and teacher=	2	.
Compute  TMCL6D =2.
Compute TCSZ6D= 47.
Compute HDTM=1.
END IF.

DO IF school= 4439	and teacher=	3	.
Compute  TMCL6D =2.
Compute TCSZ6D= 45.
Compute HDTM=1.
END IF.

DO IF school= 4441	and teacher=	1	.
Compute  TMCL6D =2.
Compute TCSZ6D= 93.
Compute HDTM=1.
END IF.

select if (TMCL6D =2).
string yclass (a3).
compute yclass ="D".
compute yclsize= TCSZ6D.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6D.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Maths Teachers for class 6E ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTM=0.

DO IF school= 21	and teacher=	2	.
Compute  TMCL6E =2.
Compute TCSZ6E= 60.
Compute HDTM=1.
END IF.

DO IF school= 37	and teacher=	3	.
Compute  TMCL6E =2.
Compute TCSZ6E= 47.
Compute HDTM=1.
END IF.

DO IF school= 118	and teacher=	3	.
Compute  TMCL6E =2.
Compute TCSZ6E= 60.
Compute HDTM=1.
END IF.

DO IF school= 278	and teacher=	2	.
Compute  TMCL6E =2.
Compute TCSZ6E= 61.
Compute HDTM=1.
END IF.

DO IF school= 281	and teacher=	3	.
Compute  TMCL6E =2.
Compute TCSZ6E= 48.
Compute HDTM=1.
END IF.

DO IF school= 921	and teacher=	3	.
Compute  TMCL6E =2.
Compute TCSZ6E= 46.
Compute HDTM=1.
END IF.

DO IF school= 933	and teacher=	1	.
Compute  TMCL6E =2.
Compute TCSZ6E= 44.
Compute HDTM=1.
END IF.

DO IF school= 945	and teacher=	2	.
Compute  TMCL6E =2.
Compute TCSZ6E= 43.
Compute HDTM=1.
END IF.

DO IF school= 4024	and teacher=	3	.
Compute  TMCL6E =2.
Compute TCSZ6E= 4.
Compute HDTM=1.
END IF.

DO IF school= 4441	and teacher=	2	.
Compute  TMCL6E =2.
Compute TCSZ6E= 93.
Compute HDTM=1.
END IF.

select if (TMCL6E =2).
string yclass (a3).
compute yclass ="E".
compute yclsize= TCSZ6E.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6E.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Maths Teachers for class 6F ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTM=0.

DO IF school= 921	and teacher=	4	.
Compute  TMCL6F =2.
Compute TCSZ6F= 57.
Compute HDTM=1.
END IF.

DO IF school= 4441	and teacher=	3	.
Compute  TMCL6F =2.
Compute TCSZ6F= 93.
Compute HDTM=1.
END IF.

select if (TMCL6F =2).
string yclass (a3).
compute yclass ="F".
compute yclsize= TCSZ6F.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6F.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Maths Teachers for class 6G ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTM=0.

DO IF school= 4441	and teacher=	1	.
Compute  TMCL6G =2.
Compute TCSZ6G= 93.
Compute HDTM=1.
END IF.

select if (TMCL6G =2).
string yclass (a3).
compute yclass ="G".
compute yclsize= TCSZ6G.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6G.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Maths Teachers for class 6H ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTM=0.

DO IF school= 921	and teacher=	7	.
Compute  TMCL6H =2.
Compute TCSZ6H= 54.
Compute HDTM=1.
END IF.

select if (TMCL6H =2).
string yclass (a3).
compute yclass ="H".
compute yclsize= TCSZ6H.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6H.SAV'.

************************************************************************************************************************************************************************************************.
*** Adding all Maths Teachers in the order of class / Creating IDCL (IDCLASS+FLAG) / Changing variable names / Saving IDs,, Questionnaire, Maths, and HIV/AIDS ***.
************************************************************************************************************************************************************************************************.
GET 
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6A.SAV' .

ADD FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6B.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6C.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6D.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6E.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6F.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6G.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TM6H.sav'
.
EXECUTE.

rename variables idteach=idtm.

string idschool (a9).
compute idschool=string(school,f9).

string idclass (a12).
compute idclass=concat(idschool,yclass).

sort cases by idclass (a).

string yflag (a1).
compute yflag ="1".
if idclass=lag(idclass) yflag ="2".

string idcl (a13).
compute idcl=concat(rtrim(idclass),yflag ).

rename variables ( TSEX = YSEX )  ( TAGE = YAGE )  ( TQPERMNT = YQPERMNT )  ( TQACADEM = YQACADEM )  ( TQPROFES = YQPROFES )  ( TNUMYRS = YNUMYRS )  ( TINSERVC = YINSERVC )
  ( TINSERVD = YINSERVD )  ( TINSERVE = YINSERVE )  ( TBORROW = YBORROW )  ( TBOOKCLS = YBOOKCLS )  ( TRESCKBD = YRESCKBD )  ( TRESCHLK = YRESCHLK )  ( TRESDSTR = YRESDSTR )
  ( TRESWCHT = YRESWCHT )  ( TRESCPBD = YRESCPBD )  ( TRESBKSH = YRESBKSH )  ( TRESCLIB = YRESCLIB )  ( TRESTTAB = YRESTTAB )  ( TRESTCHR = YRESTCHR )  ( TSITCLAS = YSITCLAS )
  ( TWRITCLS = YWRITCLS )  ( TRESMAP = YRESMAP )  ( TRESENGD = YRESENGD )  ( TRESCGEO = YRESCGEO )  ( TRESTGR = YRESTGR )  ( TRESTGM = YRESTGM )  ( TRESTGH = YRESTGH )
  ( TRESBOOK = YRESBOOK )  ( TRESHIVP = YRESHIVP )  ( TRESHIVB = YRESHIVB )  ( TRESRAD = YRESRAD )  ( TRESTV = YRESTV )  ( TRESCAS = YRESCAS )  ( TRESCD = YRESCD )
  ( TRESVCR = YRESVCR )  ( TRESDVD = YRESDVD )  ( TRESCOMP = YRESCOMP )  ( TRESINT = YRESINT )  ( TRESPCPY = YRESPCPY )  ( TNPERIOD = YNPERIOD )  ( TMINPER = YMINPER )
  ( THRSPREP = YHRSPREP )  ( TMEETPAR = YMEETPAR )  ( TTEACHRD = YTEACHRD )  ( TTEACHMA = YTEACHMA )  ( TTEACHSC = YTEACHSC )  ( TTEACHSS = YTEACHSS )
  ( TTEACHHS = YTEACHHS )  ( TTRAINRD = YTRAINRD )  ( TTRAINMA = YTRAINMA )  ( TTRAINSC = YTRAINSC )  ( TTRAINSS = YTRAINSS )  ( TTRAINHS = YTRAINHS )  ( TABSNT1 = YABSNT1 )
  ( TABSNT2 = YABSNT2 )  ( TABSNT3 = YABSNT3 )  ( TABSNT4 = YABSNT4 )  ( TABSNT5 = YABSNT5 )  ( TABSNT6 = YABSNT6 )  ( TABSNT7 = YABSNT7 )  ( TABSNT8 = YABSNT8 )  ( TABSNT9 = YABSNT9 )
  ( TABSNT10 = YABSNT10 )  ( TABSNT11 = YABSNT11 )  ( TABSNT12 = YABSNT12 )  ( TPRINADV = YPRINADV )  ( TRCENTRE = YRCENTRE )  ( TRCVISIT = YRCVISIT )  ( TRCUSE1 = YRCUSE1 )
  ( TRCUSE2 = YRCUSE2 )  ( TRCUSE3 = YRCUSE3 )  ( TRCUSE4 = YRCUSE4 )  ( TRCUSE5 = YRCUSE5 )  ( TRCUSE6 = YRCUSE6 )  ( TCONDLIV = YCONDLIV )  ( TRRPTCOM = YRRPTCOM )
  ( TRPTMCOM = YRPTMCOM )  ( TRPTHCOM = YRPTHCOM )  ( TSIGNHM = YSIGNHM )  ( TTEST = YTEST )  ( THTEST1 = YHTEST1 )  ( THTEST2 = YHTEST2 )  ( THIVPAY = YHIVPAY )
  ( THIVFREE = YHIVFREE )  ( THRISKU = YHRISKU )  ( THRISKT = YHRISKT )  ( THINFO01 = YHINFO01 )  ( THINFO02 = YHINFO02 )  ( THINFO03 = YHINFO03 )  ( THINFO04 = YHINFO04 )
  ( THINFO05 = YHINFO05 )  ( THINFO06 = YHINFO06 )  ( THINFO07 = YHINFO07 )  ( THINFO08 = YHINFO08 )  ( THINFO09 = YHINFO09 )  ( THINFO10 = YHINFO10 )  ( THINFO11 = YHINFO11 )
  ( THINFO12 = YHINFO12 )  ( THINFO13 = YHINFO13 )  ( THINFO14 = YHINFO14 )  ( THINFO15 = YHINFO15 )  ( THINFO16 = YHINFO16 )  ( THINFO17 = YHINFO17 )  ( THINFO18 = YHINFO18 )
  ( THINFO19 = YHINFO19 )  ( THINFO20 = YHINFO20 )  ( THINFO21 = YHINFO21 )  ( THINFO22 = YHINFO22 )  ( THINFO23 = YHINFO23 )  ( THINFO24 = YHINFO24 )  ( THINFOBT = YHINFOBT )
  ( THPUPIL = YHPUPIL )  ( THTCHER = YHTCHER )  ( THCRSHIV = YHCRSHIV )  ( THCRS01 = YHCRS01 )  ( THCRS02 = YHCRS02 )  ( THCRS03 = YHCRS03 )  ( THCRS04 = YHCRS04 )
  ( THCRS05 = YHCRS05 )  ( THCRS06 = YHCRS06 )  ( THCRS07 = YHCRS07 )  ( THCRS08 = YHCRS08 )  ( THCRS09 = YHCRS09 )  ( THCRS10 = YHCRS10 )  ( THCRS11 = YHCRS11 )
  ( THCRS12 = YHCRS12 )  ( THCRS13 = YHCRS13 )  ( THCRS14 = YHCRS14 )  ( THCRSBT = YHCRSBT )  ( THIVTEST = YHIVTEST )
  (IDTSEX = IDYSEX)  ( THLTH01  = YHLTH01  )  ( THLTH02 = YHLTH02 )  ( THLTH03 = YHLTH03 )  ( THLTH04 = YHLTH04 )  ( THLTH05 = YHLTH05 )  ( THLTH06 = YHLTH06 )  ( THLTH07 = YHLTH07 )  ( THLTH08 = YHLTH08 )
  ( THLTH09 = YHLTH09 )  ( THLTH10 = YHLTH10 )  ( THLTH11 = YHLTH11 )  ( THLTH12 = YHLTH12 )  ( THLTH13 = YHLTH13 )  ( THLTH14 = YHLTH14 )  ( THLTH15 = YHLTH15 )  ( THLTH16 = YHLTH16 )
  ( THLTH17 = YHLTH17 )  ( THLTH18 = YHLTH18 )  ( THLTH19 = YHLTH19 )  ( THLTH20 = YHLTH20 )  ( THLTH21 = YHLTH21 )  ( THLTH22 = YHLTH22 )  ( THLTH23 = YHLTH23 )  ( THLTH24 = YHLTH24 )
  ( THLTH25 = YHLTH25 )  ( THLTH26 = YHLTH26 )  ( THLTH27 = YHLTH27 )  ( THLTH28 = YHLTH28 )  ( THLTH29 = YHLTH29 )  ( THLTH30 = YHLTH30 )  ( THLTH31 = YHLTH31 )  ( THLTH32 = YHLTH32 )
  ( THLTH33 = YHLTH33 )  ( THLTH34 = YHLTH34 )  ( THLTH35 = YHLTH35 )  ( THLTH36 = YHLTH36 )  ( THLTH37 = YHLTH37 )  ( THLTH38 = YHLTH38 )  ( THLTH39 = YHLTH39 )  ( THLTH40 = YHLTH40 )
  ( THLTH41 = YHLTH41 )  ( THLTH42 = YHLTH42 )  ( THLTH43 = YHLTH43 )  ( THLTH44 = YHLTH44 )  ( THLTH45 = YHLTH45 )  ( THLTH46 = YHLTH46 )  ( THLTH47 = YHLTH47 )  ( THLTH48 = YHLTH48 )
  ( THLTH49 = YHLTH49 )  ( THLTH50 = YHLTH50 )  ( THLTH51 = YHLTH51 )  ( THLTH52 = YHLTH52 )  ( THLTH53 = YHLTH53 )  ( THLTH54 = YHLTH54 )  ( THLTH55 = YHLTH55 )  ( THLTH56 = YHLTH56 )
  ( THLTH57 = YHLTH57 )  ( THLTH58 = YHLTH58 )  ( THLTH59 = YHLTH59 )  ( THLTH60 = YHLTH60 )  ( THLTH61 = YHLTH61 )  ( THLTH62 = YHLTH62 )  ( THLTH63 = YHLTH63 )  ( THLTH64 = YHLTH64 )
  ( THLTH65 = YHLTH65 )  ( THLTH66 = YHLTH66 )  ( THLTH67 = YHLTH67 )  ( THLTH68 = YHLTH68 )  ( THLTH69 = YHLTH69 )  ( THLTH70 = YHLTH70 )  ( THLTH71 = YHLTH71 )  ( THLTH72 = YHLTH72 )
  ( THLTH73 = YHLTH73 )  ( THLTH74 = YHLTH74 )  ( THLTH75 = YHLTH75 )  ( THLTH76 = YHLTH76 )  ( THLTH77 = YHLTH77 )  ( THLTH78 = YHLTH78 )  ( THLTH79 = YHLTH79 )  ( THLTH80 = YHLTH80 )
  ( THLTH81 = YHLTH81 )  ( THLTH82 = YHLTH82 )  ( THLTH83 = YHLTH83 )  ( THLTH84 = YHLTH84 )  ( THLTH85 = YHLTH85 )  ( THLTH86 = YHLTH86 )     .

sort cases by idcl (A).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TMath.sav'
/keep COUNTRY REGION DISTRICT SCHOOL HDTM yclass yclsize idschool idclass yflag idcl idtm 
YSEX to YHIVTEST TMATH01 to TMATH42 IDYSEX YHLTH01 to YHLTH86 .

***********************************************************************************************.
*** Aggregating Maths Teachers to TMcont with IDCLASS as the break variable ***.
***********************************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TMath.SAV' .

AGGREGATE
  /OUTFILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TMcont.sav'
  /BREAK=idclass
  /mflag=N.

*********************************************************************.
*** Hotdecking / Extracting Health Teachers for class 6A ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTH=0.

DO IF school= 966	and teacher=	4	.
Compute  THCL6A =2.
Compute TCSZ6A= 33.
Compute HDTH=1.
END IF.

DO IF school= 3696	and teacher=	1	.
Compute  THCL6A =2.
Compute TCSZ6A= 56.
Compute HDTH=1.
END IF.

select if (THCL6A =2).
string wclass (a3).
compute wclass ="A".
compute wclsize= TCSZ6A.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6A.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Health Teachers for class 6B ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTH=0.

DO IF school= 70	and teacher=	1	.
Compute  THCL6B =2.
Compute TCSZ6B= 54.
Compute HDTH=1.
END IF.

DO IF school= 271	and teacher=	1	.
Compute  THCL6B =2.
Compute TCSZ6B= 36.
Compute HDTH=1.
END IF.

DO IF school= 490	and teacher=	1	.
Compute  THCL6B =2.
Compute TCSZ6B= 56.
Compute HDTH=1.
END IF.

DO IF school= 966	and teacher=	5	.
Compute  THCL6B =2.
Compute TCSZ6B= 32.
Compute HDTH=1.
END IF.

select if (THCL6B =2).
string wclass (a3).
compute wclass ="B".
compute wclsize= TCSZ6B.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6B.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Health Teachers for class 6C ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTH=0.

DO IF school= 70	and teacher=	1	.
Compute  THCL6C =2.
Compute TCSZ6C= 54.
Compute HDTH=1.
END IF.

DO IF school= 271	and teacher=	1	.
Compute  THCL6C =2.
Compute TCSZ6C= 36.
Compute HDTH=1.
END IF.

DO IF school= 279	and teacher=	1	.
Compute  THCL6C =2.
Compute TCSZ6C= 57.
Compute HDTH=1.
END IF.

DO IF school= 490	and teacher=	3	.
Compute  THCL6C =2.
Compute TCSZ6C= 47.
Compute HDTH=1.
END IF.

DO IF school= 966	and teacher=	6	.
Compute  THCL6C =2.
Compute TCSZ6C= 39.
Compute HDTH=1.
END IF.

DO IF school= 3897	and teacher=	2	.
Compute  THCL6C =2.
Compute TCSZ6C= 31.
Compute HDTH=1.
END IF.

select if (THCL6C =2).
string wclass (a3).
compute wclass ="C".
compute wclsize= TCSZ6C.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6C.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Health Teachers for class 6D ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTH=0.

DO IF school= 21	and teacher=	1	.
Compute  THCL6D =2.
Compute TCSZ6D= 44.
Compute HDTH=1.
END IF.

DO IF school= 37	and teacher=	2	.
Compute  THCL6D =2.
Compute TCSZ6D= 47.
Compute HDTH=1.
END IF.

DO IF school=  70	and teacher=	1	.
Compute  THCL6D =2.
Compute TCSZ6D= 54.
Compute HDTH=1.
END IF.

DO IF school= 118	and teacher=	1	.
Compute  THCL6D =2.
Compute TCSZ6D= 70.
Compute HDTH=1.
END IF.

DO IF school= 278	and teacher=	1	.
Compute  THCL6D =2.
Compute TCSZ6D= 60.
Compute HDTH=1.
END IF.

DO IF school= 281	and teacher=	2	.
Compute  THCL6D =2.
Compute TCSZ6D= 48.
Compute HDTH=1.
END IF.

DO IF school= 482	and teacher=	3	.
Compute  THCL6D =2.
Compute TCSZ6D= 68.
Compute HDTH=1.
END IF.

DO IF school= 945	and teacher=	1	.
Compute  THCL6D =2.
Compute TCSZ6D= 41.
Compute HDTH=1.
END IF.

DO IF school= 4024	and teacher=	2	.
Compute  THCL6D =2.
Compute TCSZ6D= 47.
Compute HDTH=1.
END IF.

DO IF school= 4439	and teacher=	3	.
Compute  THCL6D =2.
Compute TCSZ6D= 45.
Compute HDTH=1.
END IF.

DO IF school= 4441	and teacher=	1	.
Compute  THCL6D =2.
Compute TCSZ6D= 93.
Compute HDTH=1.
END IF.

select if (THCL6D =2).
string wclass (a3).
compute wclass ="D".
compute wclsize= TCSZ6D.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6D.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Health Teachers for class 6E ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTH=0.

DO IF school= 21	and teacher=	2	.
Compute  THCL6E =2.
Compute TCSZ6E= 60.
Compute HDTH=1.
END IF.

DO IF school= 37	and teacher=	3	.
Compute  THCL6E =2.
Compute TCSZ6E= 47.
Compute HDTH=1.
END IF.

DO IF school= 118	and teacher=	3	.
Compute  THCL6E =2.
Compute TCSZ6E= 60.
Compute HDTH=1.
END IF.

DO IF school= 278	and teacher=	2	.
Compute  THCL6E =2.
Compute TCSZ6E= 61.
Compute HDTH=1.
END IF.

DO IF school= 281	and teacher=	3	.
Compute  THCL6E =2.
Compute TCSZ6E= 48.
Compute HDTH=1.
END IF.

DO IF school= 921	and teacher=	3	.
Compute  THCL6E =2.
Compute TCSZ6E= 46.
Compute HDTH=1.
END IF.

DO IF school= 933	and teacher=	1	.
Compute  THCL6E =2.
Compute TCSZ6E= 44.
Compute HDTH=1.
END IF.

DO IF school= 945	and teacher=	2	.
Compute  THCL6E =2.
Compute TCSZ6E= 43.
Compute HDTH=1.
END IF.

DO IF school= 4024	and teacher=	3	.
Compute  THCL6E =2.
Compute TCSZ6E= 4.
Compute HDTH=1.
END IF.

DO IF school= 4441	and teacher=	2	.
Compute  THCL6E =2.
Compute TCSZ6E= 93.
Compute HDTH=1.
END IF.

select if (THCL6E =2).
string wclass (a3).
compute wclass ="E".
compute wclsize= TCSZ6E.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6E.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Health Teachers for class 6F ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTH=0.

DO IF school= 921	and teacher=	4	.
Compute  THCL6F =2.
Compute TCSZ6F= 57.
Compute HDTH=1.
END IF.

DO IF school= 4441	and teacher=	3	.
Compute  THCL6F =2.
Compute TCSZ6F= 93.
Compute HDTH=1.
END IF.

select if (THCL6F =2).
string wclass (a3).
compute wclass ="F".
compute wclsize= TCSZ6F.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6F.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Health Teachers for class 6G ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTH=0.

DO IF school= 4441	and teacher=	1	.
Compute  THCL6G =2.
Compute TCSZ6G= 93.
Compute HDTH=1.
END IF.

select if (THCL6G =2).
string wclass (a3).
compute wclass ="G".
compute wclsize= TCSZ6G.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6G.SAV'.

*********************************************************************.
*** Hotdecking / Extracting Health Teachers for class 6H ***.
*********************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_TBK.SAV'.

compute HDTH=0.

DO IF school= 921	and teacher=	7	.
Compute  THCL6H =2.
Compute TCSZ6H= 54.
Compute HDTH=1.
END IF.

select if (THCL6H =2).
string wclass (a3).
compute wclass ="H".
compute wclsize= TCSZ6H.
save outfile='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6H.SAV'.

*****************************************************************************************************************************************************************************************.
*** Adding all Health Teachers in the order of class / Creating IDCL (IDCLASS+FLAG) / Changing variable names / Saving IDs, Questionnaires, and HIV/AIDS ***.
*****************************************************************************************************************************************************************************************.
GET 
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6A.SAV' .

ADD FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6B.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6C.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6D.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6E.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6F.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6G.sav'
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TH6H.sav'
.
EXECUTE.

rename variables idteach=idth.

string idschool (a9).
compute idschool=string(school,f9).

string idclass (a12).
compute idclass=concat(idschool,wclass).

sort cases by idclass (a).

string wflag (a1).
compute wflag ="1".
if idclass=lag(idclass) wflag ="2".

string idcl (a13).
compute idcl=concat(rtrim(idclass),wflag ).

rename variables ( TSEX = WSEX )  ( TAGE = WAGE )  ( TQPERMNT = WQPERMNT )  ( TQACADEM = WQACADEM )  ( TQPROFES = WQPROFES )  ( TNUMYRS = WNUMYRS )  ( TINSERVC = WINSERVC )
  ( TINSERVD = WINSERVD )  ( TINSERVE = WINSERVE )  ( TBORROW = WBORROW )  ( TBOOKCLS = WBOOKCLS )  ( TRESCKBD = WRESCKBD )  ( TRESCHLK = WRESCHLK )  ( TRESDSTR = WRESDSTR )
  ( TRESWCHT = WRESWCHT )  ( TRESCPBD = WRESCPBD )  ( TRESBKSH = WRESBKSH )  ( TRESCLIB = WRESCLIB )  ( TRESTTAB = WRESTTAB )  ( TRESTCHR = WRESTCHR )  ( TSITCLAS = WSITCLAS )
  ( TWRITCLS = WWRITCLS )  ( TRESMAP = WRESMAP )  ( TRESENGD = WRESENGD )  ( TRESCGEO = WRESCGEO )  ( TRESTGR = WRESTGR )  ( TRESTGM = WRESTGM )  ( TRESTGH = WRESTGH )
  ( TRESBOOK = WRESBOOK )  ( TRESHIVP = WRESHIVP )  ( TRESHIVB = WRESHIVB )  ( TRESRAD = WRESRAD )  ( TRESTV = WRESTV )  ( TRESCAS = WRESCAS )  ( TRESCD = WRESCD )
  ( TRESVCR = WRESVCR )  ( TRESDVD = WRESDVD )  ( TRESCOMP = WRESCOMP )  ( TRESINT = WRESINT )  ( TRESPCPY = WRESPCPY )  ( TNPERIOD = WNPERIOD )  ( TMINPER = WMINPER )
  ( THRSPREP = WHRSPREP )  ( TMEETPAR = WMEETPAR )  ( TTEACHRD = WTEACHRD )  ( TTEACHMA = WTEACHMA )  ( TTEACHSC = WTEACHSC )  ( TTEACHSS = WTEACHSS )  ( TTEACHHS = WTEACHHS )
  ( TTRAINRD = WTRAINRD )  ( TTRAINMA = WTRAINMA )  ( TTRAINSC = WTRAINSC )  ( TTRAINSS = WTRAINSS )  ( TTRAINHS = WTRAINHS )  ( TABSNT1 = WABSNT1 )  ( TABSNT2 = WABSNT2 )
  ( TABSNT3 = WABSNT3 )  ( TABSNT4 = WABSNT4 )  ( TABSNT5 = WABSNT5 )  ( TABSNT6 = WABSNT6 )  ( TABSNT7 = WABSNT7 )  ( TABSNT8 = WABSNT8 )  ( TABSNT9 = WABSNT9 )  ( TABSNT10 = WABSNT10 )
  ( TABSNT11 = WABSNT11 )  ( TABSNT12 = WABSNT12 )  ( TPRINADV = WPRINADV )  ( TRCENTRE = WRCENTRE )  ( TRCVISIT = WRCVISIT )  ( TRCUSE1 = WRCUSE1 )  ( TRCUSE2 = WRCUSE2 )
  ( TRCUSE3 = WRCUSE3 )  ( TRCUSE4 = WRCUSE4 )  ( TRCUSE5 = WRCUSE5 )  ( TRCUSE6 = WRCUSE6 )  ( TCONDLIV = WCONDLIV )  ( TRRPTCOM = WRRPTCOM )  ( TRPTMCOM = WRPTMCOM )
  ( TRPTHCOM = WRPTHCOM )  ( TSIGNHM = WSIGNHM )  ( TTEST = WTEST )  ( THTEST1 = WHTEST1 )  ( THTEST2 = WHTEST2 )  ( THIVPAY = WHIVPAY )  ( THIVFREE = WHIVFREE )  ( THRISKU = WHRISKU )
  ( THRISKT = WHRISKT )  ( THINFO01 = WHINFO01 )  ( THINFO02 = WHINFO02 )  ( THINFO03 = WHINFO03 )  ( THINFO04 = WHINFO04 )  ( THINFO05 = WHINFO05 )  ( THINFO06 = WHINFO06 )
  ( THINFO07 = WHINFO07 )  ( THINFO08 = WHINFO08 )  ( THINFO09 = WHINFO09 )  ( THINFO10 = WHINFO10 )  ( THINFO11 = WHINFO11 )  ( THINFO12 = WHINFO12 )  ( THINFO13 = WHINFO13 )
  ( THINFO14 = WHINFO14 )  ( THINFO15 = WHINFO15 )  ( THINFO16 = WHINFO16 )  ( THINFO17 = WHINFO17 )  ( THINFO18 = WHINFO18 )  ( THINFO19 = WHINFO19 )  ( THINFO20 = WHINFO20 )
  ( THINFO21 = WHINFO21 )  ( THINFO22 = WHINFO22 )  ( THINFO23 = WHINFO23 )  ( THINFO24 = WHINFO24 )  ( THINFOBT = WHINFOBT )  ( THPUPIL = WHPUPIL )  ( THTCHER = WHTCHER )
  ( THCRSHIV = WHCRSHIV )  ( THCRS01 = WHCRS01 )  ( THCRS02 = WHCRS02 )  ( THCRS03 = WHCRS03 )  ( THCRS04 = WHCRS04 )  ( THCRS05 = WHCRS05 )  ( THCRS06 = WHCRS06 )
  ( THCRS07 = WHCRS07 )  ( THCRS08 = WHCRS08 )  ( THCRS09 = WHCRS09 )  ( THCRS10 = WHCRS10 )  ( THCRS11 = WHCRS11 )  ( THCRS12 = WHCRS12 )  ( THCRS13 = WHCRS13 )
  ( THCRS14 = WHCRS14 )  ( THCRSBT = WHCRSBT )  ( THIVTEST = WHIVTEST )   
  (IDTSEX = IDwSEX)    ( THLTH01  = WHLTH01  )  ( THLTH02 = WHLTH02 )  ( THLTH03 = WHLTH03 )  ( THLTH04 = WHLTH04 )  ( THLTH05 = WHLTH05 )  ( THLTH06 = WHLTH06 )  ( THLTH07 = WHLTH07 )  ( THLTH08 = WHLTH08 )
  ( THLTH09 = WHLTH09 )  ( THLTH10 = WHLTH10 )  ( THLTH11 = WHLTH11 )  ( THLTH12 = WHLTH12 )  ( THLTH13 = WHLTH13 )  ( THLTH14 = WHLTH14 )  ( THLTH15 = WHLTH15 )  ( THLTH16 = WHLTH16 )
  ( THLTH17 = WHLTH17 )  ( THLTH18 = WHLTH18 )  ( THLTH19 = WHLTH19 )  ( THLTH20 = WHLTH20 )  ( THLTH21 = WHLTH21 )  ( THLTH22 = WHLTH22 )  ( THLTH23 = WHLTH23 )  ( THLTH24 = WHLTH24 )
  ( THLTH25 = WHLTH25 )  ( THLTH26 = WHLTH26 )  ( THLTH27 = WHLTH27 )  ( THLTH28 = WHLTH28 )  ( THLTH29 = WHLTH29 )  ( THLTH30 = WHLTH30 )  ( THLTH31 = WHLTH31 )  ( THLTH32 = WHLTH32 )
  ( THLTH33 = WHLTH33 )  ( THLTH34 = WHLTH34 )  ( THLTH35 = WHLTH35 )  ( THLTH36 = WHLTH36 )  ( THLTH37 = WHLTH37 )  ( THLTH38 = WHLTH38 )  ( THLTH39 = WHLTH39 )  ( THLTH40 = WHLTH40 )
  ( THLTH41 = WHLTH41 )  ( THLTH42 = WHLTH42 )  ( THLTH43 = WHLTH43 )  ( THLTH44 = WHLTH44 )  ( THLTH45 = WHLTH45 )  ( THLTH46 = WHLTH46 )  ( THLTH47 = WHLTH47 )  ( THLTH48 = WHLTH48 )
  ( THLTH49 = WHLTH49 )  ( THLTH50 = WHLTH50 )  ( THLTH51 = WHLTH51 )  ( THLTH52 = WHLTH52 )  ( THLTH53 = WHLTH53 )  ( THLTH54 = WHLTH54 )  ( THLTH55 = WHLTH55 )  ( THLTH56 = WHLTH56 )
  ( THLTH57 = WHLTH57 )  ( THLTH58 = WHLTH58 )  ( THLTH59 = WHLTH59 )  ( THLTH60 = WHLTH60 )  ( THLTH61 = WHLTH61 )  ( THLTH62 = WHLTH62 )  ( THLTH63 = WHLTH63 )  ( THLTH64 = WHLTH64 )
  ( THLTH65 = WHLTH65 )  ( THLTH66 = WHLTH66 )  ( THLTH67 = WHLTH67 )  ( THLTH68 = WHLTH68 )  ( THLTH69 = WHLTH69 )  ( THLTH70 = WHLTH70 )  ( THLTH71 = WHLTH71 )  ( THLTH72 = WHLTH72 )
  ( THLTH73 = WHLTH73 )  ( THLTH74 = WHLTH74 )  ( THLTH75 = WHLTH75 )  ( THLTH76 = WHLTH76 )  ( THLTH77 = WHLTH77 )  ( THLTH78 = WHLTH78 )  ( THLTH79 = WHLTH79 )  ( THLTH80 = WHLTH80 )
  ( THLTH81 = WHLTH81 )  ( THLTH82 = WHLTH82 )  ( THLTH83 = WHLTH83 )  ( THLTH84 = WHLTH84 )  ( THLTH85 = WHLTH85 )  ( THLTH86 = WHLTH86 )  .

sort cases by idcl (A).
save outfile 'T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\THlth.sav'
/keep COUNTRY REGION DISTRICT SCHOOL HDTH wclass wclsize idschool idclass wflag idcl idth 
WSEX to WHIVTEST IDWSEX WHLTH01 to WHLTH86 .

***********************************************************************************************.
*** Aggregating Health Teachers to THcont with IDCLASS as the break variable ***.
***********************************************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\THlth.SAV' .

AGGREGATE
  /OUTFILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\THcont.sav'
  /BREAK=idclass
  /hflag=N.

********************.
*** Linking all ***.
********************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\ALL_PBK.SAV'.

********** Merging Pupil Name Form **********.
MATCH FILES /FILE=*
 /FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\PNF.SAV'
 /RENAME (COUNTRY DISTRICT idclass idschool REGION SCHOOL = d0 d1 d2 d3 d4  d5)
 /BY idpupil.
EXECUTE.

variable labels d0 "PNF" d1  "PNF" d2 "PNF"  d3 "PNF"  d4 "PNF"   d5 "PNF" . 

sort cases by SCHOOL (A).

********** Merging School Head Booklet **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\SHBK.SAV'
 /RENAME (COUNTRY DISTRICT INSTR PUNCHER REGION = d6 d7 d8 d9 d10)
 /BY SCHOOL.
EXECUTE.

variable labels d6 "SH" d7 "SH"  d8  "SH" d9 "SH"  d10 "SH" .

sort cases by SCHOOL (A).

********** Merging School Information Booklet **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\SIBK.SAV'
 /RENAME (COUNTRY DISTRICT INSTR PUNCHER REGION = d11 d12 d13 d14 d15)
 /BY SCHOOL.
EXECUTE.

variable labels d11 "SI" d12  "SI" d13  "SI" d14  "SI" d15 "SI" .

sort cases by idclass (A).

********** Merging School Form **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\SF.SAV'
 /RENAME (COUNTRY DISTRICT idschool INSTR PUNCHER REGION SCHNAME SCHOOL = d16  d17 d18 d19 d20 d21 d22 d23)
 /BY idclass.
EXECUTE.

variable labels d16 "SF" d17  "SF" d18  "SF" d19  "SF" d20  "SF" d21  "SF" d22  "SF" d23 "SF" .

compute SCHNAME=upcase(SCHNAME).
compute d22 =upcase(d22 ).

USE ALL.
COMPUTE filter_$=(SCHNAME ~= d22 ).
VARIABLE LABEL filter_$ 'SCHNAME ~= d22 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil idclass SCHNAME d22 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PBK+PNF+SH+SI and SF'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

sort cases by idclass (A).

********** Merging CONTROL file for Reading Teachers **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TRcont.sav'
 /BY idclass.
EXECUTE.

string idcl (a13).
if (rflag=1) idcl=concat(rtrim(idclass),"1").
if (rflag=2  and mod(idpupil,2)=0) idcl=concat(rtrim(idclass),"1").
if (rflag=2 and mod(idpupil,2)=1) idcl=concat(rtrim(idclass),"2").

sort cases by idcl (A).

********** Merging Reading Teacher Information with Reading Test and their Health Knowledge Test **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TRead.sav'
 /RENAME (COUNTRY DISTRICT idclass idschool REGION SCHOOL = d24 d25 d26 d27  d28 d29)
 /BY idcl.
EXECUTE.

variable labels d24 "TR" d25  "TR" d26  "TR" d27  "TR"  d28  "TR" d29 "TR" .

sort cases by idclass (A).

********** Merging CONTROL file for Maths Teachers **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TMcont.sav'
 /BY idclass.
EXECUTE.

if (mflag=1) idcl=concat(rtrim(idclass),"1").
if (mflag=2  and mod(idpupil,2)=0) idcl=concat(rtrim(idclass),"1").
if (mflag=2 and mod(idpupil,2)=1) idcl=concat(rtrim(idclass),"2").

sort cases by idcl (A).

********** Merging Maths Teacher Information with Maths Test and their Health Knowledge Test **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\TMath.sav'
 /RENAME (COUNTRY DISTRICT idclass idschool REGION SCHOOL = d30 d31  d32 d33 d34 d35 )
 /BY idcl.
EXECUTE.

variable labels d30 "TM" d31  "TM"  d32  "TM" d33  "TM" d34  "TM" d35 "TM"  .

sort cases by idclass (A).

********** Merging CONTROL file for Health Teachers **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\THcont.sav'
 /BY idclass.
EXECUTE.

if (hflag=1) idcl=concat(rtrim(idclass),"1").
if (hflag=2  and mod(idpupil,2)=0) idcl=concat(rtrim(idclass),"1").
if (hflag=2 and mod(idpupil,2)=1) idcl=concat(rtrim(idclass),"2").

sort cases by idcl (A).

********** Merging Health Teacher Information with their Health Knowledge Test **********.
MATCH FILES /FILE=*
 /TABLE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\THlth.sav'
 /RENAME (COUNTRY DISTRICT idclass idschool REGION SCHOOL = d36 d37 d38 d39  d40 d41)
 /BY idcl.
EXECUTE.

variable labels d36 "TH" d37  "TH" d38  "TH" d39  "TH"  d40  "TH" d41 "TH" .

***** Checking the discrepancies *****.
USE ALL.
COMPUTE filter_$=(COUNTRY ~=  d0 or COUNTRY ~=  d6 or COUNTRY ~=  d11 or COUNTRY ~=  d16  or COUNTRY ~=  d24 or COUNTRY ~=  d30 or COUNTRY ~=  d36 ).
VARIABLE LABEL filter_$ 'COUNTRY ~=  d0 or COUNTRY ~=  d6 or COUNTRY ~=  d11 or COUNTRY ~=  d16  or COUNTRY ~=  d24 or COUNTRY ~=  d30 or COUNTRY ~=  d36 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil idcl COUNTRY d0 d6 d11 d16 d24 d30 d36
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PBK+PNF+SH+SI+SF+TRead+TMath and THlth'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(DISTRICT ~=  d1 or DISTRICT ~= d7 or DISTRICT ~= d12 or DISTRICT ~= d17 or DISTRICT ~= d25 or DISTRICT ~= d31  or DISTRICT ~= d37 ).
VARIABLE LABEL filter_$ 'DISTRICT ~=  d1 or DISTRICT ~= d7 or DISTRICT ~= d12 or DISTRICT ~= d17 or DISTRICT ~= d25 or DISTRICT ~= d31  or DISTRICT ~= d37 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil idcl DISTRICT d1 d7 d12 d17 d25 d31 d37 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PBK+PNF+SH+SI+SF+TRead+TMath and THlth'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(idclass ~=  d2 or idclass ~= d26 or idclass ~= d32 or idclass ~= d38 ).
VARIABLE LABEL filter_$ 'idclass ~=  d2 or idclass ~= d26 or idclass ~= d32 or idclass ~= d38 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil idcl idclass d2 d26 d32 d38 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PBK+PNF+SH+SI+SF+TRead+TMath and THlth'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(idschool ~=  d3 or idschool ~= d18 or idschool ~= d27  or idschool ~= d33 or idschool ~= d39  ).
VARIABLE LABEL filter_$ 'idschool ~=  d3 or idschool ~= d18 or idschool ~= d27  or idschool ~= d33 or idschool ~= d39  (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil idcl idschool d3 d18 d27 d33 d39  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PBK+PNF+SH+SI+SF+TRead+TMath and THlth'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(REGION ~= d4  or REGION ~=   d10 or REGION ~=   d15 or REGION ~=   d21 or REGION ~=   d28 or REGION ~=   d34 or REGION ~=   d40 ).
VARIABLE LABEL filter_$ 'REGION ~= d4  or REGION ~=   d10 or REGION ~=   d15 or REGION ~=   d21 or REGION ~=   d28 or REGION ~=   d34 or REGION ~=   d40 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil idcl REGION d4 d10 d15 d21 d28 d34 d40 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PBK+PNF+SH+SI+SF+TRead+TMath and THlth'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=(SCHOOL ~= d5  or SCHOOL ~=  d23 or SCHOOL ~=  d29 or SCHOOL ~=  d35 or SCHOOL ~=  d41).
VARIABLE LABEL filter_$ 'SCHOOL ~= d5  or SCHOOL ~=  d23 or SCHOOL ~=  d29 or SCHOOL ~=  d35 or SCHOOL ~=  d41  (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil idcl SCHOOL d5 d23 d29 d35 d41
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Discrepancies between PBK+PNF+SH+SI+SF+TRead+TMath and THlth'
  /MISSING=VARIABLE
  /CELLS=COUNT .

**** Global Correction on Participation Index in Reading ****.
FILTER OFF.
USE ALL.
EXECUTE .

count Rmiss=PREAD01 to PREAD55 (missing).

USE ALL.
COMPUTE filter_$=((PFREAD='' or PFREAD='9' or PFREAD='N' or IDPPT_PA =1 ) and Rmiss~=55).
VARIABLE LABEL filter_$ "((PFREAD='' or PFREAD='9' or PFREAD='N' or IDPPT_PA =1 ) and Rmiss~=55)".
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL IDPPT_PA PFREAD PREAD01 to PREAD55
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Reading participation (PNF 9 or N or blank or PBK 1) but some data exist'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=((PFREAD='Y' or IDPPT_PA =2 ) and Rmiss=55).
VARIABLE LABEL filter_$ "((PFREAD='Y' or IDPPT_PA =2 ) and Rmiss=55)".
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL IDPPT_PA PFREAD PREAD01 to PREAD55
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Reading participation (PNF Y or PBK 2) but no data exist'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

DO IF Rmiss=55.
  compute  IDPPT_PA =1.
  compute PFREAD='N'.
END IF.

DO IF Rmiss~=55.
  compute  IDPPT_PA =2.
  compute PFREAD='Y'.
END IF.

***** ZAM Special kicking out people with many 7s and almost all missing which would later result in negative reading score*****.
DO IF school= 70 and pupil= 3 or  school= 1803 and pupil= 21.
  compute  IDPPT_PA =1.
  compute PFREAD='N'.
  recode PREAD01 to PREAD55 (else=sysmis).
END IF.
***** ZAM Special kicking out people with many 7s and almost all missing which would later result in negative reading score*****.

**** Global Correction on Participation Index in Maths ****.
FILTER OFF.
USE ALL.
EXECUTE .

count Mmiss=PMATH01 to PMATH49 (missing).

USE ALL.
COMPUTE filter_$=((PFMATH='' or PFMATH='9' or PFMATH='N' or IDPPT_PC =1 ) and Mmiss~=49).
VARIABLE LABEL filter_$ "((PFMATH='' or PFMATH='9' or PFMATH='N' or IDPPT_PC =1 ) and Mmiss~=49)".
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL IDPPT_PC PFMATH PMATH01 to PMATH49 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Maths participation (PNF 9 or N or blank or PBK 1) but some data exist'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=((PFMATH='Y' or IDPPT_PC =2 ) and Mmiss=49).
VARIABLE LABEL filter_$ "((PFMATH='Y' or IDPPT_PC =2 ) and Mmiss=49)".
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL IDPPT_PC PFMATH PMATH01 to PMATH49 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Maths participation (PNF Y or PBK 2) but no data exist'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

DO IF Mmiss=49.
  compute  IDPPT_PC =1.
  compute PFMATH='N'.
END IF.

DO IF Mmiss~=49.
  compute  IDPPT_PC =2.
  compute PFMATH='Y'.
END IF.

**** Global Correction on Participation Index in Health ****.
FILTER OFF.
USE ALL.
EXECUTE .

count Hmiss=PHLTH01 to PHLTH86 (missing).

USE ALL.
COMPUTE filter_$=((PFHIV='' or PFHIV='9' or PFHIV='N' or IDPPT_PB =1 ) and Hmiss~=86).
VARIABLE LABEL filter_$ "((PFHIV='' or PFHIV='9' or PFHIV='N' or IDPPT_PB =1 ) and Hmiss~=86)".
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL IDPPT_PB PFHIV PHLTH01 to PHLTH86 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Health participation (PNF 9 or N or blank or PBK 1) but some data exist'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=((PFHIV='Y' or IDPPT_PB =2 )and Hmiss=86).
VARIABLE LABEL filter_$ "((PFHIV='Y' or IDPPT_PB =2 )and Hmiss=86)".
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL IDPPT_PB PFHIV PHLTH01 to PHLTH86 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Health participation (PNF Y or PBK 2) but no data exist'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

DO IF Hmiss=86.
  compute  IDPPT_PB =1.
  compute PFHIV='N'.
END IF.

DO IF Hmiss~=86.
  compute  IDPPT_PB =2.
  compute PFHIV='Y'.
END IF.

**** Global Correction on Participation Index in Questionnaire ****.
FILTER OFF.
USE ALL.
EXECUTE .

count Qmiss=PNURSERY PENGLISH PMALIVE PFALIVE PBRO PSIS PSTAY1 PSTAY2 PSTAY3 PSTAY4 PSTAY5 PSTAY6 PSTAY7 PSTAY8 PSTAY9 PPSTAY PTRAVEL PTRAVEL2
 PBOOKSHM PTASK1 PTASK2 PTASK3 PTASK4 PTASK5 PTASK6 PTASK7 PTASK8 PTASK9 PTASK10 PTASK11 PTASK12 PTASK13 PTASK14 PPOS01 PPOS02 PPOS03 PPOS04 PPOS05 PPOS06
 PPOS07 PPOS08 PPOS09 PPOS10 PPOS11 PPOS12 PPOS13 PPOS14 PPOS15 PPOS16 PPOS17 PPOS18 PPOS19 PPOS20 PPOS21 PPOS22 PPOS23 PPOS24 PPOS25 PPOS26 PPOS27 PPOS28
 PPOS29 PPOS30 PPOS31 PMOTHER PFATHER PLIGHT PFLOOR PWALL PROOF PREPEAT PREPEAT6 PRPTWHY1
 PRPTWHY2 PRPTWHY3 PRPTWHY4 PBORROWO PBORROW1 PBORROW2 PBORROW3 PMAT01 PMAT02 PMAT03 PMAT04 PMAT05 PMAT06 PMAT07 PMAT08 PCOMPTR PCOMPTW1 PCOMPTW2
 PCOMPTW3 PCOMPTW4 PCOMPTW5 PCOMPTW6 PCUSE01 PCUSE02 PCUSE03 PCUSE04 PCUSE05 PCUSE06 PCUSE07 PCUSE08 PCUSE09 PCUSE10 PCUSE11 PCUSE12 PCUSE13 PCTAUGHT
 PMEAL1 PMEAL2 PMEAL3 PEXTTUI PEXTENG PEXTMAT PEXTSCI PEXTOTH PEXTWHO1 PEXTWHO2 PEXTWHO3 PEXTWHO4 PEXTWHR1 PEXTWHR2 PEXTWHR3 PEXTWHR4 PEXTWHR5 PEXTIME1
 PEXTIME2 PXTFREQ PEXTHRS PEXTWHT1 PEXTWHT2 PEXTWHT3 PEXTWHT4 PEXTWHT5 PEXTNMBR PEXTPAY PEXTTK01 PEXTTK02 PEXTTK03 PEXTTK04 PEXTTK05 PEXTTK06 PEXTTK07 PEXTTK08
 PEXTTK09 PEXTTK10 PEXTWNT1 PEXTWNT2 PEXTWNT3 PEXTWNT4 PEXTWNT5 PEXTWNT6 PEXTWHY PHMWK PHMWKHLP PHMWKC PHMWKS PTEXTR PTEXTM PHTEST1 PHTEST2 PHINFO01
 PHINFO02 PHINFO03 PHINFO04 PHINFO05 PHINFO06 PHINFO07 PHINFO08 PHINFO09 PHINFO10 PHINFO11 PHINFO12 PHINFO13 PHINFO14 PHINFO15 PHINFO16 PHINFO17 PHINFO18 PHINFO19
 PHINFO20 PHINFO21 PHINFO22 PHINFO23 PHINFOBT PHFRIEND PHRLTVE PHPUPIL PHTCHER PHCLSHIV PHCLS01 PHCLS02 PHCLS04 PHCLS05 PHCLS06 PHCLS07 PHCLS08 PHCLS09 PHCLS10
 PHCLSBT  (missing ).

USE ALL.
COMPUTE filter_$=((PFQUEST='' or PFQUEST='9' or PFQUEST='N' or IDPPT_PD =1 ) and Qmiss~=201).
VARIABLE LABEL filter_$ "((PFQUEST='' or PFQUEST='9' or PFQUEST='N' or IDPPT_PD =1 ) and Qmiss~=201)".
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL IDPPT_PD PFQUEST PNURSERY PENGLISH PMALIVE PFALIVE PBRO PSIS PSTAY1 PSTAY2 PSTAY3 PSTAY4 PSTAY5 PSTAY6 PSTAY7 PSTAY8 PSTAY9 PPSTAY PTRAVEL PTRAVEL2
 PBOOKSHM PTASK1 PTASK2 PTASK3 PTASK4 PTASK5 PTASK6 PTASK7 PTASK8 PTASK9 PTASK10 PTASK11 PTASK12 PTASK13 PTASK14 PPOS01 PPOS02 PPOS03 PPOS04 PPOS05 PPOS06
 PPOS07 PPOS08 PPOS09 PPOS10 PPOS11 PPOS12 PPOS13 PPOS14 PPOS15 PPOS16 PPOS17 PPOS18 PPOS19 PPOS20 PPOS21 PPOS22 PPOS23 PPOS24 PPOS25 PPOS26 PPOS27 PPOS28
 PPOS29 PPOS30 PPOS31 PMOTHER PFATHER PLIGHT PFLOOR PWALL PROOF PREPEAT PREPEAT6 PRPTWHY1
 PRPTWHY2 PRPTWHY3 PRPTWHY4 PBORROWO PBORROW1 PBORROW2 PBORROW3 PMAT01 PMAT02 PMAT03 PMAT04 PMAT05 PMAT06 PMAT07 PMAT08 PCOMPTR PCOMPTW1 PCOMPTW2
 PCOMPTW3 PCOMPTW4 PCOMPTW5 PCOMPTW6 PCUSE01 PCUSE02 PCUSE03 PCUSE04 PCUSE05 PCUSE06 PCUSE07 PCUSE08 PCUSE09 PCUSE10 PCUSE11 PCUSE12 PCUSE13 PCTAUGHT
 PMEAL1 PMEAL2 PMEAL3 PEXTTUI PEXTENG PEXTMAT PEXTSCI PEXTOTH PEXTWHO1 PEXTWHO2 PEXTWHO3 PEXTWHO4 PEXTWHR1 PEXTWHR2 PEXTWHR3 PEXTWHR4 PEXTWHR5 PEXTIME1
 PEXTIME2 PXTFREQ PEXTHRS PEXTWHT1 PEXTWHT2 PEXTWHT3 PEXTWHT4 PEXTWHT5 PEXTNMBR PEXTPAY PEXTTK01 PEXTTK02 PEXTTK03 PEXTTK04 PEXTTK05 PEXTTK06 PEXTTK07 PEXTTK08
 PEXTTK09 PEXTTK10 PEXTWNT1 PEXTWNT2 PEXTWNT3 PEXTWNT4 PEXTWNT5 PEXTWNT6 PEXTWHY PHMWK PHMWKHLP PHMWKC PHMWKS PTEXTR PTEXTM PHTEST1 PHTEST2 PHINFO01
 PHINFO02 PHINFO03 PHINFO04 PHINFO05 PHINFO06 PHINFO07 PHINFO08 PHINFO09 PHINFO10 PHINFO11 PHINFO12 PHINFO13 PHINFO14 PHINFO15 PHINFO16 PHINFO17 PHINFO18 PHINFO19
 PHINFO20 PHINFO21 PHINFO22 PHINFO23 PHINFOBT PHFRIEND PHRLTVE PHPUPIL PHTCHER PHCLSHIV PHCLS01 PHCLS02 PHCLS04 PHCLS05 PHCLS06 PHCLS07 PHCLS08 PHCLS09 PHCLS10
 PHCLSBT  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Questionnaire participation (PNF 9 or N or blank or PBK 1) but some data exist'
  /MISSING=VARIABLE
  /CELLS=COUNT .

USE ALL.
COMPUTE filter_$=((PFQUEST='Y' or IDPPT_PD =2 ) and Qmiss=201).
VARIABLE LABEL filter_$ "((PFQUEST='Y' or IDPPT_PD =2 ) and Qmiss=201)".
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=SCHOOL PUPIL IDPPT_PD PFQUEST PNURSERY PENGLISH PMALIVE PFALIVE PBRO PSIS PSTAY1 PSTAY2 PSTAY3 PSTAY4 PSTAY5 PSTAY6 PSTAY7 PSTAY8 PSTAY9 PPSTAY PTRAVEL PTRAVEL2
 PBOOKSHM PTASK1 PTASK2 PTASK3 PTASK4 PTASK5 PTASK6 PTASK7 PTASK8 PTASK9 PTASK10 PTASK11 PTASK12 PTASK13 PTASK14 PPOS01 PPOS02 PPOS03 PPOS04 PPOS05 PPOS06
 PPOS07 PPOS08 PPOS09 PPOS10 PPOS11 PPOS12 PPOS13 PPOS14 PPOS15 PPOS16 PPOS17 PPOS18 PPOS19 PPOS20 PPOS21 PPOS22 PPOS23 PPOS24 PPOS25 PPOS26 PPOS27 PPOS28
 PPOS29 PPOS30 PPOS31 PMOTHER PFATHER PLIGHT PFLOOR PWALL PROOF PREPEAT PREPEAT6 PRPTWHY1
 PRPTWHY2 PRPTWHY3 PRPTWHY4 PBORROWO PBORROW1 PBORROW2 PBORROW3 PMAT01 PMAT02 PMAT03 PMAT04 PMAT05 PMAT06 PMAT07 PMAT08 PCOMPTR PCOMPTW1 PCOMPTW2
 PCOMPTW3 PCOMPTW4 PCOMPTW5 PCOMPTW6 PCUSE01 PCUSE02 PCUSE03 PCUSE04 PCUSE05 PCUSE06 PCUSE07 PCUSE08 PCUSE09 PCUSE10 PCUSE11 PCUSE12 PCUSE13 PCTAUGHT
 PMEAL1 PMEAL2 PMEAL3 PEXTTUI PEXTENG PEXTMAT PEXTSCI PEXTOTH PEXTWHO1 PEXTWHO2 PEXTWHO3 PEXTWHO4 PEXTWHR1 PEXTWHR2 PEXTWHR3 PEXTWHR4 PEXTWHR5 PEXTIME1
 PEXTIME2 PXTFREQ PEXTHRS PEXTWHT1 PEXTWHT2 PEXTWHT3 PEXTWHT4 PEXTWHT5 PEXTNMBR PEXTPAY PEXTTK01 PEXTTK02 PEXTTK03 PEXTTK04 PEXTTK05 PEXTTK06 PEXTTK07 PEXTTK08
 PEXTTK09 PEXTTK10 PEXTWNT1 PEXTWNT2 PEXTWNT3 PEXTWNT4 PEXTWNT5 PEXTWNT6 PEXTWHY PHMWK PHMWKHLP PHMWKC PHMWKS PTEXTR PTEXTM PHTEST1 PHTEST2 PHINFO01
 PHINFO02 PHINFO03 PHINFO04 PHINFO05 PHINFO06 PHINFO07 PHINFO08 PHINFO09 PHINFO10 PHINFO11 PHINFO12 PHINFO13 PHINFO14 PHINFO15 PHINFO16 PHINFO17 PHINFO18 PHINFO19
 PHINFO20 PHINFO21 PHINFO22 PHINFO23 PHINFOBT PHFRIEND PHRLTVE PHPUPIL PHTCHER PHCLSHIV PHCLS01 PHCLS02 PHCLS04 PHCLS05 PHCLS06 PHCLS07 PHCLS08 PHCLS09 PHCLS10
 PHCLSBT  
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Questionnaire participation (PNF Y or PBK 2) but no data exist'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

DO IF Qmiss=201.
  compute  IDPPT_PD =1.
  compute PFQUEST='N'.
END IF.

DO IF Qmiss~=201.
  compute  IDPPT_PD =2.
  compute PFQUEST='Y'.
END IF.

*** Class Size inconsistency ***.
USE ALL.
COMPUTE filter_$=(SFPUP~=xclsize or SFPUP~=yclsize or SFPUP~=wclsize ).
VARIABLE LABEL filter_$ '    (SFPUP~=xclsize or SFPUP~=yclsize or SFPUP~=wclsize  )'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= idclass idtr xclsize idtm yclsize idth wclsize SFPUP 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Class Size Inconsistency' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

IF SFPUP~=xclsize xclsize =SFPUP.
IF SFPUP~=yclsize yclsize =SFPUP.
IF SFPUP~=wclsize wclsize =SFPUP.

if not(missing(idtr)) and missing(xclsize) xclsize=SFPUP.
if not(missing(idtm)) and missing(yclsize) yclsize=SFPUP.
if not(missing(idth)) and missing(wclsize) wclsize=SFPUP.

***** ZAMBIA Special Cleaning on REGION *****.
compute country="ZAM".
if school= 432 region='CEN'.
if school= 415 region='CEN'.
if school= 433 region='CEN'.
if school= 391 region='CEN'.
if school= 4537 region='CEN'.
if school= 482 region='CEN'.
if school= 490 region='CEN'.
if school= 807 region='CEN'.
if school= 826 region='CEN'.
if school= 840 region='CEN'.
if school= 558 region='CEN'.
if school= 633 region='CEN'.
if school= 657 region='CEN'.
if school= 656 region='CEN'.
if school= 728 region='CEN'.
if school= 696 region='CEN'.
if school= 7 region='COP'.
if school= 4319 region='COP'.
if school= 52 region='COP'.
if school= 37 region='COP'.
if school= 21 region='COP'.
if school= 70 region='COP'.
if school= 5286 region='COP'.
if school= 101 region='COP'.
if school= 131 region='COP'.
if school= 128 region='COP'.
if school= 118 region='COP'.
if school= 168 region='COP'.
if school= 165 region='COP'.
if school= 7817 region='COP'.
if school= 235 region='COP'.
if school= 217 region='COP'.
if school= 360 region='COP'.
if school= 179 region='COP'.
if school= 188 region='COP'.
if school= 271 region='COP'.
if school= 281 region='COP'.
if school= 278 region='COP'.
if school= 264 region='COP'.
if school= 279 region='COP'.
if school= 2829 region='EAS'.
if school= 2916 region='EAS'.
if school= 3043 region='EAS'.
if school= 3000 region='EAS'.
if school= 2955 region='EAS'.
if school= 2941 region='EAS'.
if school= 3013 region='EAS'.
if school= 3111 region='EAS'.
if school= 3075 region='EAS'.
if school= 3211 region='EAS'.
if school= 3163 region='EAS'.
if school= 3226 region='EAS'.
if school= 3385 region='EAS'.
if school= 3291 region='EAS'.
if school= 3339 region='EAS'.
if school= 3351 region='EAS'.
if school= 2031 region='LUA'.
if school= 1735 region='LUA'.
if school= 1762 region='LUA'.
if school= 7597 region='LUA'.
if school= 7593 region='LUA'.
if school= 1803 region='LUA'.
if school= 1830 region='LUA'.
if school= 1819 region='LUA'.
if school= 1860 region='LUA'.
if school= 4681 region='LUA'.
if school= 1926 region='LUA'.
if school= 1908 region='LUA'.
if school= 2018 region='LUA'.
if school= 1981 region='LUA'.
if school= 1978 region='LUA'.
if school= 1942 region='LUA'.
if school= 1041 region='LUS'.
if school= 1075 region='LUS'.
if school= 4552 region='LUS'.
if school= 902 region='LUS'.
if school= 9394 region='LUS'.
if school= 4343 region='LUS'.
if school= 972 region='LUS'.
if school= 4439 region='LUS'.
if school= 933 region='LUS'.
if school= 966 region='LUS'.
if school= 938 region='LUS'.
if school= 945 region='LUS'.
if school= 924 region='LUS'.
if school= 921 region='LUS'.
if school= 995 region='LUS'.
if school= 4441 region='LUS'.
if school= 8438 region='NEW'.
if school= 3453 region='NEW'.
if school= 3442 region='NEW'.
if school= 3493 region='NEW'.
if school= 4602 region='NEW'.
if school= 3769 region='NEW'.
if school= 3543 region='NEW'.
if school= 3593 region='NEW'.
if school= 3566 region='NEW'.
if school= 3674 region='NEW'.
if school= 3604 region='NEW'.
if school= 3654 region='NEW'.
if school= 3596 region='NEW'.
if school= 3658 region='NEW'.
if school= 3696 region='NEW'.
if school= 3737 region='NEW'.
if school= 6834 region='NOR'.
if school= 2076 region='NOR'.
if school= 2121 region='NOR'.
if school= 2160 region='NOR'.
if school= 2223 region='NOR'.
if school= 2250 region='NOR'.
if school= 2286 region='NOR'.
if school= 2258 region='NOR'.
if school= 2291 region='NOR'.
if school= 2349 region='NOR'.
if school= 2376 region='NOR'.
if school= 2431 region='NOR'.
if school= 2438 region='NOR'.
if school= 2441 region='NOR'.
if school= 2456 region='NOR'.
if school= 2579 region='NOR'.
if school= 2733 region='NOR'.
if school= 2804 region='NOR'.
if school= 2776 region='NOR'.
if school= 2706 region='NOR'.
if school= 1198 region='SOU'.
if school= 1094 region='SOU'.
if school= 1157 region='SOU'.
if school= 1212 region='SOU'.
if school= 4667 region='SOU'.
if school= 1323 region='SOU'.
if school= 1237 region='SOU'.
if school= 1282 region='SOU'.
if school= 1318 region='SOU'.
if school= 1357 region='SOU'.
if school= 6661 region='SOU'.
if school= 1418 region='SOU'.
if school= 1387 region='SOU'.
if school= 1493 region='SOU'.
if school= 1540 region='SOU'.
if school= 1525 region='SOU'.
if school= 1556 region='SOU'.
if school= 1603 region='SOU'.
if school= 1632 region='SOU'.
if school= 1644 region='SOU'.
if school= 3849 region='WES'.
if school= 3872 region='WES'.
if school= 3909 region='WES'.
if school= 3943 region='WES'.
if school= 3897 region='WES'.
if school= 3941 region='WES'.
if school= 4208 region='WES'.
if school= 9128 region='WES'.
if school= 3997 region='WES'.
if school= 4001 region='WES'.
if school= 4024 region='WES'.
if school= 4090 region='WES'.
if school= 4088 region='WES'.
if school= 4172 region='WES'.
if school= 4180 region='WES'.
if school= 4282 region='WES'.
***** ZAMBIA Special Cleaning on REGION *****.

***** ZAMBIA Special Cleaning on DISTRICT *****.
if school= 432 district= '101'.
if school= 415 district= '101'.
if school= 433 district= '101'.
if school= 391 district= '101'.
if school= 4537 district= '102'.
if school= 482 district= '102'.
if school= 490 district= '102'.
if school= 807 district= '103'.
if school= 826 district= '103'.
if school= 840 district= '103'.
if school= 558 district= '104'.
if school= 633 district= '105'.
if school= 657 district= '105'.
if school= 656 district= '105'.
if school= 728 district= '106'.
if school= 696 district= '106'.
if school= 7 district= '201'.
if school= 4319 district= '202'.
if school= 52 district= '202'.
if school= 37 district= '202'.
if school= 21 district= '202'.
if school= 70 district= '203'.
if school= 5286 district= '204'.
if school= 101 district= '204'.
if school= 131 district= '204'.
if school= 128 district= '204'.
if school= 118 district= '204'.
if school= 168 district= '205'.
if school= 165 district= '205'.
if school= 7817 district= '206'.
if school= 235 district= '207'.
if school= 217 district= '207'.
if school= 360 district= '208'.
if school= 179 district= '209'.
if school= 188 district= '209'.
if school= 271 district= '210'.
if school= 281 district= '210'.
if school= 278 district= '210'.
if school= 264 district= '210'.
if school= 279 district= '210'.
if school= 2829 district= '301'.
if school= 2916 district= '302'.
if school= 3043 district= '303'.
if school= 3000 district= '303'.
if school= 2955 district= '303'.
if school= 2941 district= '303'.
if school= 3013 district= '303'.
if school= 3111 district= '304'.
if school= 3075 district= '304'.
if school= 3211 district= '305'.
if school= 3163 district= '305'.
if school= 3226 district= '305'.
if school= 3385 district= '306'.
if school= 3291 district= '307'.
if school= 3339 district= '307'.
if school= 3351 district= '307'.
if school= 2031 district= '401'.
if school= 1735 district= '402'.
if school= 1762 district= '402'.
if school= 7597 district= '403'.
if school= 7593 district= '403'.
if school= 1803 district= '403'.
if school= 1830 district= '403'.
if school= 1819 district= '403'.
if school= 1860 district= '404'.
if school= 4681 district= '404'.
if school= 1926 district= '405'.
if school= 1908 district= '405'.
if school= 2018 district= '406'.
if school= 1981 district= '406'.
if school= 1978 district= '406'.
if school= 1942 district= '406'.
if school= 1041 district= '501'.
if school= 1075 district= '501'.
if school= 4552 district= '502'.
if school= 902 district= '502'.
if school= 9394 district= '502'.
if school= 4343 district= '503'.
if school= 972 district= '503'.
if school= 4439 district= '503'.
if school= 933 district= '503'.
if school= 966 district= '503'.
if school= 938 district= '503'.
if school= 945 district= '503'.
if school= 924 district= '503'.
if school= 921 district= '503'.
if school= 995 district= '503'.
if school= 4441 district= '503'.
if school= 8438 district= '601'.
if school= 3453 district= '602'.
if school= 3442 district= '602'.
if school= 3493 district= '603'.
if school= 4602 district= '604'.
if school= 3769 district= '604'.
if school= 3543 district= '605'.
if school= 3593 district= '605'.
if school= 3566 district= '605'.
if school= 3674 district= '606'.
if school= 3604 district= '606'.
if school= 3654 district= '606'.
if school= 3596 district= '606'.
if school= 3658 district= '606'.
if school= 3696 district= '606'.
if school= 3737 district= '607'.
if school= 6834 district= '701'.
if school= 2076 district= '702'.
if school= 2121 district= '702'.
if school= 2160 district= '703'.
if school= 2223 district= '703'.
if school= 2250 district= '704'.
if school= 2286 district= '704'.
if school= 2258 district= '704'.
if school= 2291 district= '705'.
if school= 2349 district= '705'.
if school= 2376 district= '706'.
if school= 2431 district= '706'.
if school= 2438 district= '707'.
if school= 2441 district= '707'.
if school= 2456 district= '707'.
if school= 2579 district= '708'.
if school= 2733 district= '709'.
if school= 2804 district= '710'.
if school= 2776 district= '710'.
if school= 2706 district= '711'.
if school= 1198 district= '801'.
if school= 1094 district= '801'.
if school= 1157 district= '801'.
if school= 1212 district= '802'.
if school= 4667 district= '803'.
if school= 1323 district= '803'.
if school= 1237 district= '803'.
if school= 1282 district= '804'.
if school= 1318 district= '804'.
if school= 1357 district= '805'.
if school= 6661 district= '806'.
if school= 1418 district= '806'.
if school= 1387 district= '806'.
if school= 1493 district= '807'.
if school= 1540 district= '807'.
if school= 1525 district= '807'.
if school= 1556 district= '808'.
if school= 1603 district= '809'.
if school= 1632 district= '810'.
if school= 1644 district= '810'.
if school= 3849 district= '901'.
if school= 3872 district= '901'.
if school= 3909 district= '902'.
if school= 3943 district= '902'.
if school= 3897 district= '902'.
if school= 3941 district= '902'.
if school= 4208 district= '903'.
if school= 9128 district= '904'.
if school= 3997 district= '904'.
if school= 4001 district= '904'.
if school= 4024 district= '904'.
if school= 4090 district= '905'.
if school= 4088 district= '905'.
if school= 4172 district= '906'.
if school= 4180 district= '906'.
if school= 4282 district= '907'.
***** ZAMBIA Special Cleaning on DISTRICT *****.

********** Choose the criteria for inclusion **********.
***select if IDPPT_PA=2 and IDPPT_PB=2 and IDPPT_PC=2 and IDPPT_PD=2.
select if IDPPT_PA=2 and IDPPT_PD=2.
***select if IDPPT_PB=2 and IDPPT_PD=2.
***select if IDPPT_PC=2 and IDPPT_PD=2.

sort cases by idpupil (A).
save outfile 'E:\H Mioko\SACMEQ3\Main Data Quality\ZAM\merged_ZAM.SAV' 
/keep COUNTRY REGION DISTRICT SCHOOL PUPIL PCLASS idpupil idschool class idclass idcl 
IDPPT_PD PBDAY to PHLTH86 PFPUPIL to PDMOTHER 
STYPE to SHIVTEST SFAR1 to SLIBBKS SFCLSES to SFPUP SFREAD SFMATH SFHLTH 
HDTE xclass idtr xclsize XSEX to XHLTH86 
HDTM yclass idtm yclsize YSEX to YHLTH86 
HDTH wclass idth wclsize WSEX to WHLTH86 
  /COMPRESSED.

************************************************************.
********** Now checking in the Merged File **********.
************************************************************.
GET
  FILE= 'E:\H Mioko\SACMEQ3\Main Data Quality\ZAM\merged_ZAM.SAV'.

FREQUENCIES
  VARIABLES=HDTE HDTM HDTH
  /ORDER=  ANALYSIS .

***** Getting the list of surrogate teachers *****.
***** Reading *****.
USE ALL.
COMPUTE filter_$=(HDTE =1 ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= idclass idpupil
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Pupils with Surrogate Reading Teachers' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

***** Getting the list of surrogate teachers *****.
***** Mathematics *****.
USE ALL.
COMPUTE filter_$=(HDTM =1 ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= idclass idpupil
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Pupils with Surrogate Mathematics Teachers' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

***** Getting the list of surrogate teachers *****.
***** Health *****.
USE ALL.
COMPUTE filter_$=(HDTH =1 ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= idclass idpupil
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Pupils with Surrogate Health Teachers' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

**** Checking Missing Reading Teachers *****.
USE ALL.
COMPUTE filter_$=(missing(idtr) ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil SCHOOL idclass idtr 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='ZAM pupils without Reading teachers'
  /MISSING=VARIABLE
  /CELLS=COUNT .

**** Checking Missing Mathematics Teachers *****.
USE ALL.
COMPUTE filter_$=(missing(idtm) ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil SCHOOL idclass idtm 
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='ZAM pupils without Maths teachers'
  /MISSING=VARIABLE
  /CELLS=COUNT .

**** Checking Missing Health Teachers *****.
USE ALL.
COMPUTE filter_$=(missing(idth) ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES=idpupil SCHOOL idclass idth
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='ZAM pupils without Health teachers'
  /MISSING=VARIABLE
  /CELLS=COUNT .

FILTER OFF.
USE ALL.
EXECUTE .

**** This is a list of some variables from each file *****.
SUMMARIZE
  /TABLES=SCHOOL idclass idpupil PSEX PREAD01 PMATH01 IDPSEX PHLTH01 PFCLASS PFSEX SSEX SLIBBKS SFCLASS  idtr idxsex xsex idtm idysex ysex idth idwsex wsex
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='ZAM merged file'
  /MISSING=VARIABLE
  /CELLS=COUNT .

AGGREGATE
  /OUTFILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\AGG_by_class.sav'
  /BREAK=school idclass
  /idtr_first = FIRST(idtr) / xclsz_1=FIRST(xclsize) /idtm_first = FIRST(idtm)  / yclsz_1=FIRST(yclsize) /idth_first =  FIRST(idth)  / wclsz_1=FIRST(wclsize) / PUP_1=FIRST(SFPUP)
  /N_BREAK=N.

AGGREGATE
  /OUTFILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\AGG_by_class_HD.sav'
  /BREAK=school idclass
  /HDTE_first=FIRST(HDTE) / HDTM_first = FIRST(HDTM)  / HDTH_first =  FIRST(HDTH)  /  N_BREAK=N.

*******************************************************************.
***** Checking the teacher linkage situation by class *****.
*******************************************************************.
GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\AGG_by_class.sav'.

*** This is a list of all by class ***.
SUMMARIZE
  /TABLES= idclass idtr_first xclsz_1 idtm_first yclsz_1 idth_first wclsz_1 PUP_1 N_BREAK
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Merged file aggregated by class' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

*** missing reading teachers ***.
USE ALL.
COMPUTE filter_$=(missing(idtr_first ) ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= idclass idtr_first xclsz_1 PUP_1 N_BREAK
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Missing Reading Teachers by class' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

*** missing maths teachers ***.
USE ALL.
COMPUTE filter_$=(missing(idtm_first ) ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= idclass idtm_first yclsz_1 PUP_1 N_BREAK
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Missing Maths Teachers by class' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

*** missing health teachers ***.
USE ALL.
COMPUTE filter_$=(missing(idth_first ) ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= idclass idth_first wclsz_1 PUP_1 N_BREAK
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Missing Health Teachers by class' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

***********************************************************.
***** Checking the hot deck situation by class *****.
***********************************************************.

GET
  FILE='T:\MIOKO\SACMEQ3\Main Data Quality\ZAM\AGG_by_class_HD.sav'.

***** Surrogate Reading *****.
USE ALL.
COMPUTE filter_$=(HDTE_first=1 ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= HDTE_first school idclass N_BREAK
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Pupils with Surrogate Reading Teachers' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

***** Surrogate Mathematics *****.
USE ALL.
COMPUTE filter_$=(HDTM_first=1 ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= HDTM_first school idclass N_BREAK
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Pupils with Surrogate Mathematics Teachers' 
  /MISSING=VARIABLE
  /CELLS=COUNT .

***** Surrogate Health *****.
USE ALL.
COMPUTE filter_$=(HDTH_first=1 ).
VARIABLE LABEL filter_$ '    (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
SUMMARIZE
  /TABLES= HDTH_first school idclass N_BREAK
  /FORMAT=VALIDLIST NOCASENUM TOTAL
  /TITLE='Pupils with Surrogate Health Teachers' 
  /MISSING=VARIABLE
  /CELLS=COUNT .
