********************************************************************************************************.
**** CONSTRUCTION OF THE VARIABLES JSTRAT AND JSCHLID FOR IIEPJACK *******.
******************************** SACMEQ 3: MALAWI *********************************************.
********************************************************************************************************.

GET
  FILE='R:\SACMEQ 3\02 WORKING\07. DATA\Processed_01\As of 2009_08_27\imputed_MAL.SAV'.
DATASET NAME Ensemble_de_donnes4 WINDOW=FRONT.

********************************************************.
******* STEP 1: CREATION OF JSTRAT  ********.
********************************************************.

compute jstrat =1.
if stratum = "CWE" jstrat=2.
if stratum = "NOR" jstrat=3.
if stratum = "SEA" jstrat=4.
if stratum ="SHI" jstrat=5.
if stratum ="SWE" jstrat=6.
execute.
  
VARIABLE LABELS jstrat 'IIEPJACK/ Strata ID'.
formats jstrat (f3.0).

FREQUENCIES
  VARIABLES=stratum jstrat
  /ORDER=  ANALYSIS .

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAL.sav'
 /COMPRESSED.

********************************************************.
******* STEP 2: CREATION OF JSCHLID ********.
********************************************************.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAL.sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 1).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid1.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAL.sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 2).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid2.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAL.sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 3).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid3.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAL.sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 4).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid4.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAL.sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 5).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid5.sav'
   /COMPRESSED.

GET
  FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3jstrat_MAL.sav'.   
EXECUTE .
USE ALL.
SELECT IF(jstrat = 6).
EXECUTE .
AUTORECODE VARIABLES=school  
	/INTO jschlid
	/PRINT.
SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid6.sav'
   /COMPRESSED.

GET
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid1.sav'

EXECUTE .
ADD FILES /FILE=*
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid2.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid3.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid4.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid5.sav'
 /FILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\S3MAL_schlid6.sav'.
EXECUTE.

sort cases by school (a).

VARIABLE LABELS jschlid 'IIEPJACK/ School Id'.

VALUE LABELS
	JSCHLID 1 " "
		2 " "
		3 " "
		4 " "
		5 " "
		6 " "
		7 " "
		8 " "
		9 " "
	 	10 " "
		11 " "
		12 " "
		13 " "
		14 " "
		15 " "
		16 " "
		17 " "
		18 " "
		19 " "
		20 " "
		21 " "
		22 " "
		23 " "
		24 " "
		25 " "
		26 " "
		27 " "
		28 " "
		29 " "
		30 " "
		31 " "
		32 " "
		33 " "
		34 " "
		35 " "
		36 " "
		37 " "
		38 " "
		39 " "
		40 " "
		41 " "
		42 " "
		43 " "
		44 " "
		45 " "
		46 " "
		47 " "
		48 " "
		49 " "
		50 " "
		51 " "
		52 " "
		53 " "
		54 " "
		55 " "
		56 " "
		57 " "
		58 " "
		59 " ".

formats jschlid (f3.0).

SAVE OUTFILE='T:\04. SACMEQ III\090922 Jschlid & jstrat\090922\imputed_MAL_rev.sav'
  /COMPRESSED.
Execute.

